/* 

	Filename:	EnglishStrings.h
	Contents:	Definitions of UI strings in english.	
	Author:		Heikki Suhonen
	
*/


/*
	The word "CANVAS" is a little bit misleading. It will be replaced by
	word such as "IMAGE". In CREATE_CANVAS CANVAS might be better than IMAGE, and
	also in SELECT_CANVAS_SIZE.
	
*/

#ifndef ENGLISH_STRINGS_H
#define	ENGLISH_STRINGS_H

#define	ENGLISH_ABOUT_ARTPAINT_STRING			"About ArtPaint"
#define	ENGLISH_ABOUT_HELP_STRING				"Shows a window that has information about the program."
#define	ENGLISH_ACTIVE_LAYER_STRING				"Active Layer"
#define	ENGLISH_ADD_AREA_STRING					"Add Area"
#define	ENGLISH_ADD_LAYER_HELP_STRING			"Adds a layer to the top of this image."
#define	ENGLISH_ADD_LAYER_STRING				"Add Layer"
#define	ENGLISH_ADD_LAYER_BEHIND_STRING			"Add Layer Behind"
#define ENGLISH_ADD_LAYER_IN_FRONT_STRING		"Add Layer In Front"
#define	ENGLISH_ADD_ONS_STRING					"Add-Ons"
#define	ENGLISH_ADJUSTABLE_STRING				"Adjustable"
#define	ENGLISH_ADJUSTABLE_WIDTH_STRING			"Adjustable Width"
#define	ENGLISH_AIRBRUSH_STRING					"Airbrush"
#define	ENGLISH_ALL_LAYERS_COPY_HELP_STRING		"Copies the image to the clipboard."
#define	ENGLISH_ALL_LAYERS_CUT_HELP_STRING		"Copies the image to the clipboard and clears all layers."
#define	ENGLISH_ALL_LAYERS_STRING				"All Layers"
#define	ENGLISH_ALPHA_STRING					"Alpha"
#define	ENGLISH_APPLY_CHANGES_STRING			"Apply Changes"
#define	ENGLISH_BACKGROUND_STRING				"Background"
#define	ENGLISH_BLUE_STRING						"Blue"
#define	ENGLISH_BOTTOM_STRING					"Bottom"
#define	ENGLISH_BRUSH_STRING					"Brush"
#define	ENGLISH_BRUSH_WINDOW_STRING				"Brush Window"
#define	ENGLISH_BRUSHES_STRING					"Brushes"
#define	ENGLISH_CANCEL_STRING					"Cancel"
#define ENGLISH_CANNOT_CREATE_IMAGE_STRING		"Not enough free memory to create the image. Please try again with a smaller image size."
#define	ENGLISH_CANVAS_STRING					"Canvas"
#define	ENGLISH_CENTER_TO_CORNER_STRING			"Center To Corner"
#define	ENGLISH_CHANGES_TAKE_EFFECT_STRING		"Changes take effect after restarting the program."
#define	ENGLISH_CHANGE_TRANSPARENCY_HELP_STRING	"Starts changing the transparency of active layer."
#define	ENGLISH_CHANGE_TRANSPARENCY_STRING		"Change Transparency…"
#define	ENGLISH_CLEAR_CANVAS_HELP_STRING		"Clears all layers."
#define	ENGLISH_CLEAR_CANVAS_STRING				"Clear Canvas"
#define	ENGLISH_CLEAR_LAYER_HELP_STRING			"Clears the active layer."
#define	ENGLISH_CLEAR_LAYER_STRING				"Clear Layer"
#define	ENGLISH_CLEAR_SELECTION_HELP_STRING		"Clears the selection so that everything is selected."
#define	ENGLISH_CLEAR_SELECTION_STRING			"Clear Selection"
#define	ENGLISH_CLICK_TO_SELECT_COLOR_STRING	"Click to select a painting color."
#define	ENGLISH_CLOSE_HELP_STRING				"Closes the current window."
#define	ENGLISH_CLOSE_STRING					"Close"
#define	ENGLISH_COLOR_AMOUNT_STRING				"Color Amount"
#define	ENGLISH_COLOR_MODEL_STRING				"Color Model"
#define	ENGLISH_COLOR_SET_STRING				"Color Set"
#define	ENGLISH_COLOR_STRING					"Color"
#define	ENGLISH_COLOR_VARIANCE_STRING			"Color Variance"
#define	ENGLISH_COLOR_WINDOW_STRING				"Color Window"
#define	ENGLISH_COLORS_STRING					"Colors"
#define	ENGLISH_CONFIRM_QUIT_STRING				"Confirm Quitting"
#define	ENGLISH_CONTINUOUS_STRING				"Continuous"
#define	ENGLISH_CONTROLLER_STRING				"Controller"
#define	ENGLISH_COPY_STRING						"Copy"
#define	ENGLISH_CORNER_TO_CORNER_STRING			"Corner To Corner"
#define	ENGLISH_CREATE_CANVAS_STRING			"Create Canvas"
#define	ENGLISH_CROP_HELP_STRING				"Starts cropping the image."
#define	ENGLISH_CROP_STRING						"Crop…"
#define	ENGLISH_CROSS_HAIR_CURSOR_STRING		"Cross Hair Cursor"
#define	ENGLISH_CURSOR_STRING					"Cursor"
#define	ENGLISH_CUT_STRING						"Cut"
#define	ENGLISH_DELETE_CURRENT_SET_STRING		"Delete Current Set"
#define	ENGLISH_DELETE_LAYER_STRING				"Delete Layer"
#define	ENGLISH_DELETE_SELECTED_BRUSH_STRING	"Delete Selected Brush"
#define	ENGLISH_DISCARD_CHANGES_STRING			"Discard Changes"
#define	ENGLISH_DO_NOT_SAVE_STRING				"Don't Save"
#define	ENGLISH_DUPLICATE_LAYER_STRING			"Duplicate Layer"
#define ENGLISH_EDIT_STRING						"Edit"
#define	ENGLISH_EFFECTS_WINDOW_STRING			"Effects Window"
#define	ENGLISH_ELLIPSE_STRING					"Ellipse"
#define	ENGLISH_EMPTY_PAINT_WINDOW_STRING		"Empty Paint Window"
#define	ENGLISH_ENABLE_ANTI_ALIASING_STRING		"Enable Anti-Aliasing"
#define	ENGLISH_ENABLE_GRADIENT_STRING			"Enable Gradient"
#define	ENGLISH_ENABLE_PREVIEW_STRING			"Enable Preview"
#define	ENGLISH_ENABLE_ROTATION_STRING			"Enable Rotation"
#define	ENGLISH_FADE_STRING						"Fade"
#define	ENGLISH_FILE_STRING						"File"
#define	ENGLISH_FILL_ELLIPSE_STRING				"Fill Ellipse"
#define	ENGLISH_FILL_RECTANGLE_STRING			"Fill Rectangle"
#define	ENGLISH_FINISHING_STRING				"Finishing"
#define	ENGLISH_FLIP_HORIZONTAL_LAYER_HELP_STRING		"Flips the active layer horizontally."
#define	ENGLISH_FLIP_HORIZONTAL_ALL_LAYERS_HELP_STRING	"Flips all layers horizontally."
#define	ENGLISH_FLIP_HORIZONTAL_STRING			"Flip Horizontally"
#define	ENGLISH_FLIP_VERTICAL_LAYER_HELP_STRING			"Flips the active layer vertically."
#define	ENGLISH_FLIP_VERTICAL_ALL_LAYERS_HELP_STRING	"Flips all layers vertically."
#define	ENGLISH_FLIP_VERTICAL_STRING			"Flip Vertically"
#define	ENGLISH_FLOOD_FILL_STRING				"Flood Fill"
#define	ENGLISH_FLOW_STRING						"Flow"
#define	ENGLISH_FONT_STRING						"Font"
#define	ENGLISH_FREE_LINE_STRING				"Free Line"
#define	ENGLISH_GLOBAL_SETTINGS_STRING			"Global Settings"
#define	ENGLISH_GREEN_STRING					"Green"
#define	ENGLISH_GRID_OFF_HELP_STRING			"Turns the grid off."
#define ENGLISH_GRID_2_BY_2_HELP_STRING			"Sets the grid to 2 by 2 pixels."
#define ENGLISH_GRID_4_BY_4_HELP_STRING			"Sets the grid to 4 by 4 pixels."
#define ENGLISH_GRID_8_BY_8_HELP_STRING			"Sets the grid to 8 by 8 pixels."
#define	ENGLISH_GROW_SELECTION_HELP_STRING		"Grows the selection a little bit in every direction."
#define	ENGLISH_GROW_SELECTION_STRING			"Grow Selection"
#define	ENGLISH_HAIRS_STRING					"Hairs"
#define	ENGLISH_HEIGHT_STRING					"Height"
#define	ENGLISH_HELP_STRING						"Help"
#define	ENGLISH_INSERT_TEXT_HELP_STRING			"Inserts text into the active layer. Same as the text tool."
#define	ENGLISH_INSERT_TEXT_STRING				"Insert Text…"
#define	ENGLISH_INTELLIGENT_SCISSORS_STRING		"Intelligent Scissors"
#define	ENGLISH_INVERT_SELECTION_HELP_STRING	"Inverts the selction so that selected becomes non-selected and vice versa."
#define	ENGLISH_INVERT_SELECTION_STRING			"Invert Selection"
//#define	ENGLISH_KEEP_BRUSH_WINDOW_FRONT_STRING	"Keep Brush Window Front"
//#define	ENGLISH_KEEP_COLOR_WINDOW_FRONT_STRING	"Keep Color Window Front"
//#define	ENGLISH_KEEP_EFFECTS_WINDOW_FRONT_STRING	"Keep Effects Window Front"
//#define	ENGLISH_KEEP_LAYER_WINDOW_FRONT_STRING	"Keep Layer Window Front"
//#define	ENGLISH_KEEP_TOOL_SELECTION_WINDOW_FRONT_STRING	"Keep Tool Selection Window Front"
//#define	ENGLISH_KEEP_TOOL_SETUP_WINDOW_FRONT_STRING	"Keep Tool Setup Window Front"
#define	ENGLISH_KEEP_IN_FRONT_STRING			"Keep In Front"
#define	ENGLISH_LANGUAGE_STRING					"Language"
#define	ENGLISH_LAYER_COPY_HELP_STRING			"Copies the active layer to the clipboard."
#define	ENGLISH_LAYER_CUT_HELP_STRING			"Copies the active layer to the clipboard and clears the layer."
#define	ENGLISH_LAYER_STRING					"Layer"
#define	ENGLISH_LAYER_WINDOW_STRING				"Layer Window"
#define	ENGLISH_LAYERS_STRING					"Layers"
#define	ENGLISH_LEFT_STRING						"Left"
#define	ENGLISH_LITTLE_STRING					"Little"
#define	ENGLISH_LOCK_PROPORTIONS_STRING			"Lock Proportions"
#define	ENGLISH_MAG_STRING						"Mag"
#define	ENGLISH_MAGIC_WAND_STRING				"Magic Wand"
#define	ENGLISH_MERGE_WITH_BACK_LAYER_STRING	"Merge With Back Layer"			
#define	ENGLISH_MERGE_WITH_FRONT_LAYER_STRING	"Merge With Front Layer"
#define	ENGLISH_MISCELLANEOUS_STRING			"Miscellaneous"
#define	ENGLISH_MODE_STRING						"Mode"
#define	ENGLISH_MUCH_STRING						"Much"
#define	ENGLISH_NEW_COLOR_SET_STRING			"New Color Set"
//#define	ENGLISH_NEW_PAINT_WINDOW_STRING			"New Paint Window…"
#define	ENGLISH_NEW_PROJECT_HELP_STRING			"Creates a new empty paint window."
#define	ENGLISH_NEW_PROJECT_STRING				"New Project…"
#define	ENGLISH_NO_OPTIONS_STRING				"No Options"
#define	ENGLISH_NONE_STRING						"None"
#define	ENGLISH_OFF_STRING						"Off"
#define	ENGLISH_OK_STRING						"OK"
#define	ENGLISH_OPAQUE_STRING					"Opaque"
#define	ENGLISH_OPEN_COLOR_SET_STRING			"Open Color Set…"
#define	ENGLISH_OPEN_IMAGE_HELP_STRING			"Opens an image from the disk."
#define	ENGLISH_OPEN_IMAGE_STRING				"Open Image…"
#define	ENGLISH_OPEN_PROJECT_HELP_STRING		"Opens a project from the disk."
#define	ENGLISH_OPEN_PROJECT_STRING				"Open Project…"
#define	ENGLISH_OPEN_STRING						"Open"
#define	ENGLISH_PALETTE_WINDOW_NAME_STRING		"Colors"
#define	ENGLISH_PASTE_AS_NEW_LAYER_HELP_STRING	"Pastes previously copied layer from the clipboard as a new layer."
#define	ENGLISH_PASTE_AS_NEW_LAYER_STRING		"Paste As a New Layer"
#define	ENGLISH_PASTE_AS_NEW_PROJECT_HELP_STRING	"Pastes clipboard as a new project."
#define	ENGLISH_PASTE_AS_NEW_PROJECT_STRING		"Paste As a New Project"
#define	ENGLISH_QUIT_HELP_STRING				"Quits the whole program."
#define	ENGLISH_QUIT_STRING						"Quit"
#define	ENGLISH_RANDOM_STRING					"Random"
#define	ENGLISH_RECENT_IMAGES_STRING			"Recent Images"
#define	ENGLISH_RECENT_PROJECTS_STRING			"Recent Projects"
#define	ENGLISH_RECTANGLE_STRING				"Rectangle"
#define	ENGLISH_RED_STRING						"Red"
#define	ENGLISH_REDO_HELP_STRING				"Redos the action that was last undone."
#define	ENGLISH_REDO_NOT_AVAILABLE_STRING		"Redo Not Available"
#define	ENGLISH_REDO_STRING						"Redo"
#define	ENGLISH_RELEASE_DATE_STRING				"Release date: %s"
#define	ENGLISH_RESIZE_TO_FIT_HELP_STRING		"Resizes the window to proper size for the image and the screen."
#define	ENGLISH_RESIZE_TO_FIT_STRING			"Resize To Fit"
#define	ENGLISH_RIGHT_STRING					"Right"
#define	ENGLISH_ROTATE_ALL_LAYERS_HELP_STRING	"Starts rotating all layers."
#define	ENGLISH_ROTATE_LAYER_HELP_STRING		"Starts rotating the active layer."
#define	ENGLISH_ROTATE_STRING					"Rotate…"
#define	ENGLISH_ROTATE_CW_STRING				"Rotate +90°"
#define	ENGLISH_ROTATE_CCW_STRING				"Rotate -90°"
#define	ENGLISH_ROTATION_STRING					"Rotation"
#define	ENGLISH_ROTATING_STRING					"Rotating"
#define	ENGLISH_SAVE_CHANGES_STRING				"You have made %d changes since the last time the project was saved. Do you want to save the changes?"
#define	ENGLISH_SAVE_COLOR_SET_AS_STRING		"Save Color Set As…"
#define	ENGLISH_SAVE_COLOR_SET_STRING			"Save Color Set"
#define	ENGLISH_SAVE_FORMAT_STRING				"Save Format"
#define ENGLISH_SAVE_IMAGE_AS_HELP_STRING		"Saves the image to disk."
#define	ENGLISH_SAVE_IMAGE_AS_STRING			"Save Image As…"
#define	ENGLISH_SAVE_IMAGE_HELP_STRING			"Saves the image to the disk with the current name."
#define	ENGLISH_SAVE_IMAGE_STRING				"Save Image"
#define	ENGLISH_SAVE_PROJECT_AS_HELP_STRING		"Saves the project to the disk."
#define	ENGLISH_SAVE_PROJECT_AS_STRING			"Save Project As…"
#define	ENGLISH_SAVE_PROJECT_HELP_STRING			"Saves the project to the disk with the current name."
#define	ENGLISH_SAVE_PROJECT_STRING				"Save Project"
#define	ENGLISH_SAVE_STRING						"Save"
#define	ENGLISH_SCALE_ALL_LAYERS_HELP_STRING	"Starts scaling the image."
#define	ENGLISH_SCALE_STRING					"Scale…"
#define	ENGLISH_SELECT_CANVAS_SIZE_STRING		"Select the canvas size you want."
#define	ENGLISH_SELECTED_COLORS_VIEW_MESSAGE1_STRING	"Click here to open color panel."
#define	ENGLISH_SET_GRID_STRING					"Set Grid"
#define	ENGLISH_SET_ZOOM_LEVEL_STRING			"Set Zoom Level"
#define	ENGLISH_SETTINGS_HELP_STRING			"Brings up the settings window."
#define	ENGLISH_SETTINGS_STRING					"Settings…"
#define	ENGLISH_SHAPE_STRING					"Shape"
#define	ENGLISH_SHEAR_STRING					"Shear"
#define	ENGLISH_SHORTCUTS_HELP_STRING			"Opens NetPositive with a page that describes ArtPaint's keyboard shortcuts."
#define	ENGLISH_SHORTCUTS_STRING				"Shortcuts…"
#define	ENGLISH_SHOW_BRUSH_WINDOW_HELP_STRING	"Brings up the brush window."
#define	ENGLISH_SHOW_BRUSH_WINDOW_STRING		"Show Brush Window"
#define	ENGLISH_SHOW_LAYER_WINDOW_HELP_STRING	"Brings up the layer window."
#define	ENGLISH_SHOW_LAYER_WINDOW_STRING		"Show Layer Window"
#define	ENGLISH_SHOW_PALETTE_WINDOW_HELP_STRING	"Brings up the palette window."
#define	ENGLISH_SHOW_PALETTE_WINDOW_STRING		"Show Palette Window"
#define	ENGLISH_SHOW_TOOL_SETUP_WINDOW_HELP_STRING	"Brings up the tool setup window."
#define	ENGLISH_SHOW_TOOL_SETUP_WINDOW_STRING		"Show Tool Setup Window"
#define	ENGLISH_SHOW_TOOL_WINDOW_HELP_STRING	"Brings up the tool selection window."
#define	ENGLISH_SHOW_TOOL_WINDOW_STRING			"Show Tool Window"
#define	ENGLISH_SHRINK_SELECTION_HELP_STRING	"Shrinks the selection a little bit from every direction."
#define	ENGLISH_SHRINK_SELECTION_STRING			"Shrink Selection"
#define	ENGLISH_SIZE_STRING						"Size"
#define	ENGLISH_STANDARD_SIZES_STRING			"Standard Sizes"
#define	ENGLISH_STORE_BRUSH_STRING				"Store Brush"
#define	ENGLISH_SPEED_STRING					"Speed"
#define	ENGLISH_SPRAY_STRING					"Spray"
#define	ENGLISH_SUBTRACT_AREA_STRING			"Subtract Area"
#define	ENGLISH_TEXT_COLOR_STRING				"Text Color"
#define	ENGLISH_TEXT_STRING						"Text"
#define	ENGLISH_TOLERANCE_STRING				"Tolerance"
#define	ENGLISH_TOOL_CURSOR_STRING				"Tool Cursor"
#define	ENGLISH_TOOL_SELECTION_WINDOW_STRING	"Tool Selection Window"
#define	ENGLISH_TOOLS_STRING					"Tools"
#define	ENGLISH_TOOL_SETUP_STRING				"Tool Setup"
#define	ENGLISH_TOOL_SETUP_WINDOW_STRING		"Tool Setup Window"
#define	ENGLISH_TOP_STRING						"Top"
#define	ENGLISH_TRANSLATE_ALL_LAYERS_HELP_STRING	"Starts moving all layers."	
#define	ENGLISH_TRANSLATE_LAYER_HELP_STRING		"Starts moving the active layer."
#define	ENGLISH_TRANSLATE_STRING				"Translate…"
#define	ENGLISH_TRANSPARENT_STRING				"Transparent"
#define	ENGLISH_TRANSPARENCY_STRING				"Transparency"
#define	ENGLISH_UNDO_HELP_STRING				"Undos the previous action."
#define	ENGLISH_UNDO_NOT_AVAILABLE_STRING		"Undo Not Available"
#define	ENGLISH_UNDO_SETTINGS_STRING			"Undo"
#define	ENGLISH_UNDO_STRING						"Undo"
#define	ENGLISH_UNLIMITED_STRING				"Unlimited"
#define ENGLISH_UNSUPPORTED_FILE_TYPE_STRING	"The file %s is of unsupported type. You could try installing a translator for it if possible." 
#define	ENGLISH_UNTITLED_STRING					"Untitled"
#define	ENGLISH_USE_THE_TOOL_STRING				"Use the tool by pressing the mouse-button."
#define	ENGLISH_USER_MANUAL_HELP_STRING			"Opens NetPositive with the main documentation for ArtPaint."
#define	ENGLISH_USER_MANUAL_STRING				"User Manual…"
#define	ENGLISH_USING_THE_TOOL_STRING			"Using the tool."
#define	ENGLISH_VISIBLE_STRING					"Visible"
#define	ENGLISH_WAND_TOLERANCE_STRING			"Wand Tolerance"
#define	ENGLISH_WIDTH_STRING					"Width"
#define	ENGLISH_WINDOW_FLOATING_STRING			"Windows"
#define	ENGLISH_WINDOW_STRING					"Window"
#define	ENGLISH_ZOOM_IN_HELP_STRING				"Zooms into the image."
#define	ENGLISH_ZOOM_IN_STRING					"Zoom In"
#define	ENGLISH_ZOOM_OUT_HELP_STRING			"Zooms out from the image."
#define	ENGLISH_ZOOM_OUT_STRING					"Zoom Out"
#define	ENGLISH_ZOOM_LEVEL_25_HELP_STRING		"Sets the zoom level to 25%."
#define	ENGLISH_ZOOM_LEVEL_50_HELP_STRING		"Sets the zoom level to 50%."
#define	ENGLISH_ZOOM_LEVEL_100_HELP_STRING		"Sets the zoom level to 100%."
#define	ENGLISH_ZOOM_LEVEL_200_HELP_STRING		"Sets the zoom level to 200%."
#define	ENGLISH_ZOOM_LEVEL_400_HELP_STRING		"Sets the zoom level to 400%."
#define	ENGLISH_ZOOM_LEVEL_800_HELP_STRING		"Sets the zoom level to 800%."


// Here begin the tool name and help-string definitions.
#define	ENGLISH_AIR_BRUSH_TOOL_NAME_STRING		"Air Brush"
#define	ENGLISH_BLUR_TOOL_NAME_STRING			"Blur Tool"
#define	ENGLISH_BRUSH_TOOL_NAME_STRING			"Brush Tool"
#define	ENGLISH_COLOR_SELECTOR_TOOL_NAME_STRING	"Color Selector"
#define	ENGLISH_ELLIPSE_TOOL_NAME_STRING		"Ellipse Tool"
#define	ENGLISH_ERASER_TOOL_NAME_STRING			"Eraser"
#define	ENGLISH_FILL_TOOL_NAME_STRING			"Fill Tool"
#define	ENGLISH_FREE_LINE_TOOL_NAME_STRING		"Free Line"
#define	ENGLISH_HAIRY_BRUSH_TOOL_NAME_STRING	"Hairy Brush"
#define	ENGLISH_RECTANGLE_TOOL_NAME_STRING		"Rectangle Tool"
#define	ENGLISH_SELECTOR_TOOL_NAME_STRING		"Selector Tool"
#define	ENGLISH_STRAIGHT_LINE_TOOL_NAME_STRING	"Straight Line"
#define	ENGLISH_TEXT_TOOL_NAME_STRING			"Text Tool"
#define	ENGLISH_TRANSPARENCY_TOOL_NAME_STRING	"Transparency Tool"

#define	ENGLISH_AIR_BRUSH_TOOL_READY_STRING		"Press the mouse-button to paint with air-brush."
#define	ENGLISH_BLUR_TOOL_READY_STRING			"Press the mouse-button to blur the image."
#define	ENGLISH_BRUSH_TOOL_READY_STRING			"Press the mouse-button to paint with a brush."
#define	ENGLISH_COLOR_SELECTOR_TOOL_READY_STRING	"Press the mouse-button to select a color."
#define	ENGLISH_ELLIPSE_TOOL_READY_STRING		"Press the mouse-button to draw an ellipse."
#define	ENGLISH_ERASER_TOOL_READY_STRING			"Press the mouse-button to use eraser."
#define	ENGLISH_FILL_TOOL_READY_STRING			"Press the mouse-button to make a fill."
#define	ENGLISH_FREE_LINE_TOOL_READY_STRING		"Press the mouse-button to draw a free-hand line."
#define	ENGLISH_HAIRY_BRUSH_TOOL_READY_STRING	"Press the mouse-button to paint with a hairy brush."
#define	ENGLISH_RECTANGLE_TOOL_READY_STRING		"Press the mouse-button to draw a rectangle."
#define	ENGLISH_SELECTOR_TOOL_READY_STRING		"Press the mouse-button to make a selection."
#define	ENGLISH_STRAIGHT_LINE_TOOL_READY_STRING	"Press the mouse-button to draw a straight line."
#define	ENGLISH_TEXT_TOOL_READY_STRING			"Press the mouse-button to insert text into the image."
#define	ENGLISH_TRANSPARENCY_TOOL_READY_STRING	"Press the mouse-button to adjust layer's transparency."

#define	ENGLISH_AIR_BRUSH_TOOL_IN_USE_STRING		"Using the air-brush."
#define	ENGLISH_BLUR_TOOL_IN_USE_STRING			"Blurring the image."
#define	ENGLISH_BRUSH_TOOL_IN_USE_STRING			"Painting with a brush."
#define	ENGLISH_COLOR_SELECTOR_TOOL_IN_USE_STRING	"Selecting a color."
#define	ENGLISH_ELLIPSE_TOOL_IN_USE_STRING		"Drawing an ellipse."
#define	ENGLISH_ERASER_TOOL_IN_USE_STRING			"Erasing the image."
#define	ENGLISH_FILL_TOOL_IN_USE_STRING			"Making a fill."
#define	ENGLISH_FREE_LINE_TOOL_IN_USE_STRING		"Drawing a free hand line."
#define	ENGLISH_HAIRY_BRUSH_TOOL_IN_USE_STRING	"Painting with a hairy brush."
#define	ENGLISH_RECTANGLE_TOOL_IN_USE_STRING		"Drawing a rectangle."
#define	ENGLISH_SELECTOR_TOOL_IN_USE_STRING		"Making a selection."
#define	ENGLISH_STRAIGHT_LINE_TOOL_IN_USE_STRING	"Drawing a straight line."
#define	ENGLISH_TEXT_TOOL_IN_USE_STRING			"Drag the text to correct position and set its appearance."
#define	ENGLISH_TRANSPARENCY_TOOL_IN_USE_STRING	"Adjusting the layer's transparency."

#define	ENGLISH_DO_CHANGE_TRANSPARENCY_HELP_STRING	"Change the transparency with the slider."
#define	ENGLISH_DO_CROP_HELP_STRING		"Use the handles or number-fields to set the new borders."
#define	ENGLISH_DO_ROTATE_HELP_STRING	"Use the primary mouse-button to rotate, other buttons to set the rotation center."
#define	ENGLISH_DO_TRANSLATE_HELP_STRING	"Drag the image to correct position."
#define	ENGLISH_DO_SCALE_HELP_STRING	"Click on the image to set the new scale or set it with the numeric fields."



// These strings are the contents of the About ArtPaint-window
#define	ENGLISH_ABOUT_1_TEXT_STRING				"ArtPaint is a painting and  image-processing program for the BeOS."\
												" It can be used for wide variety of purposes ranging from web-graphics"\
												" to photo manipulation. See the tutorial in the manual to get started."
																								
#define	ENGLISH_ABOUT_3_TEXT_STRING				"For new versions of the program see:"

#define	ENGLISH_ABOUT_4_TEXT_STRING				"Any comments or questions about the program can be sent to:"

#define	ENGLISH_ABOUT_5_TEXT_STRING				"Programming & Design"
#define	ENGLISH_ABOUT_6_TEXT_STRING				"English Documentation"
#define	ENGLISH_ABOUT_7_TEXT_STRING				"German Localization"
#define	ENGLISH_ABOUT_8_TEXT_STRING				"Special Thanks"
#define ENGLISH_ABOUT_9_TEXT_STRING				"Thanks for Inspiring Articles"
#define	ENGLISH_ABOUT_10_TEXT_STRING			"French Localization"

#define ENGLISH_MEMORY_ALERT_1_STRING			"Not enough free memory to add a layer ."\
												"You can free more memory by disabling the undo and closing other images. It is also a good idea "\
												"to save the image now because running out of memory later on might make saving difficult or "\
												"impossible. I am very sorry about this inconvenience."

#define	ENGLISH_MEMORY_ALERT_2_STRING			"Not enough free memory to start the effect you requested. You may close other images and try again. "\
												"Also shortening the depth of undo or disabling undo altogether helps in achieving more memory. "\
												"If you have other applications running, closing them gives you more free memory. "\
												"It is also a good idea to save your work at this point, because if the memory runs out completely "\
												"saving might become impossible. I am very sorry about this inconvenience."

#define	ENGLISH_MEMORY_ALERT_3_STRING			"Not enough free memory to finish the effect you requested. You may close other images and try again. "\
												"Also shortening the depth of undo or disabling undo altogether helps in achieving more memory. "\
												"If you have other applications running, closing them gives you more free memory. "\
												"It is also a good idea to save your work at this point, because if the memory runs out completely "\
												"saving might become impossible. I am very sorry about this inconvenience."


#endif
