/* 

	Filename:	StringServer.cpp
	Contents:	StringServer-class definitions	
	Author:		Heikki Suhonen
	
*/

#include <stdio.h>

#include "StringServer.h"
#include "EnglishStrings.h"
#include "FinnishStrings.h"
#include "FrenchStrings.h"
#include "GermanStrings.h"

languages StringServer::current_language = ENGLISH_LANGUAGE;

const char* StringServer::ReturnString(string_id id)
{
	if (current_language == FINNISH_LANGUAGE) {
//		return return_finnish_string(id);
	}
	else if (current_language == GERMAN_LANGUAGE) {
		return return_german_string(id);
	}
	else if (current_language == FRENCH_LANGUAGE) {
		return return_french_string(id);		
	}
	else {	// If language is not found return english
		return return_english_string(id);
	}
}


void StringServer::SetLanguage(languages l)
{
	current_language = l;
}




const char* StringServer::return_english_string(string_id id)
{
	switch (id) {
		case ABOUT_ARTPAINT_STRING:
			return ENGLISH_ABOUT_ARTPAINT_STRING;
		case ABOUT_HELP_STRING:
			return ENGLISH_ABOUT_HELP_STRING;
		case ACTIVE_LAYER_STRING:
			return ENGLISH_ACTIVE_LAYER_STRING;
		case ADD_AREA_STRING:
			return ENGLISH_ADD_AREA_STRING;
		case ADD_LAYER_HELP_STRING:
			return ENGLISH_ADD_LAYER_HELP_STRING;
		case ADD_LAYER_STRING:
			return ENGLISH_ADD_LAYER_STRING;
		case ADD_LAYER_BEHIND_STRING:
			return ENGLISH_ADD_LAYER_BEHIND_STRING;
		case ADD_LAYER_IN_FRONT_STRING:
			return ENGLISH_ADD_LAYER_IN_FRONT_STRING;
		case ADD_ONS_STRING:
			return ENGLISH_ADD_ONS_STRING;
		case ADJUSTABLE_STRING:
			return ENGLISH_ADJUSTABLE_STRING;
		case ADJUSTABLE_WIDTH_STRING:
			return ENGLISH_ADJUSTABLE_WIDTH_STRING;
		case AIRBRUSH_STRING:
			return ENGLISH_AIRBRUSH_STRING;
		case ALL_LAYERS_COPY_HELP_STRING:
			return ENGLISH_ALL_LAYERS_COPY_HELP_STRING;
		case ALL_LAYERS_CUT_HELP_STRING:
			return ENGLISH_ALL_LAYERS_CUT_HELP_STRING;
		case ALL_LAYERS_STRING:
			return ENGLISH_ALL_LAYERS_STRING;	
		case ALPHA_STRING:
			return ENGLISH_ALPHA_STRING;
		case APPLY_CHANGES_STRING:
			return ENGLISH_APPLY_CHANGES_STRING;
		case BACKGROUND_STRING:
			return ENGLISH_BACKGROUND_STRING;
		case BLUE_STRING:
			return ENGLISH_BLUE_STRING;
		case BOTTOM_STRING:
			return ENGLISH_BOTTOM_STRING;
		case BRUSH_STRING:
			return ENGLISH_BRUSH_STRING;
		case BRUSH_WINDOW_STRING:
			return ENGLISH_BRUSH_WINDOW_STRING;
		case BRUSHES_STRING:
			return ENGLISH_BRUSHES_STRING;
		case CANCEL_STRING:
			return ENGLISH_CANCEL_STRING;
		case CANNOT_CREATE_IMAGE_STRING:
			return ENGLISH_CANNOT_CREATE_IMAGE_STRING;
		case CANVAS_STRING:
			return ENGLISH_CANVAS_STRING;
		case CENTER_TO_CORNER_STRING:
			return ENGLISH_CENTER_TO_CORNER_STRING;
		case CHANGES_TAKE_EFFECT_STRING:
			return ENGLISH_CHANGES_TAKE_EFFECT_STRING;
		case CHANGE_TRANSPARENCY_HELP_STRING:
			return ENGLISH_CHANGE_TRANSPARENCY_HELP_STRING;
		case CHANGE_TRANSPARENCY_STRING:
			return ENGLISH_CHANGE_TRANSPARENCY_STRING;
		case CLEAR_CANVAS_HELP_STRING:
			return ENGLISH_CLEAR_CANVAS_HELP_STRING;
		case CLEAR_CANVAS_STRING:
			return ENGLISH_CLEAR_CANVAS_STRING;
		case CLEAR_LAYER_HELP_STRING:
			return ENGLISH_CLEAR_LAYER_HELP_STRING;
		case CLEAR_LAYER_STRING:
			return ENGLISH_CLEAR_LAYER_STRING;
		case CLEAR_SELECTION_HELP_STRING:
			return ENGLISH_CLEAR_SELECTION_HELP_STRING;
		case CLEAR_SELECTION_STRING:
			return ENGLISH_CLEAR_SELECTION_STRING;
		case CLICK_TO_SELECT_COLOR_STRING:
			return ENGLISH_CLICK_TO_SELECT_COLOR_STRING;
		case CLOSE_HELP_STRING:
			return ENGLISH_CLOSE_HELP_STRING;
		case COLOR_SET_STRING:
			return ENGLISH_COLOR_SET_STRING;
		case CLOSE_STRING:
			return ENGLISH_CLOSE_STRING;
		case COLOR_AMOUNT_STRING:
			return ENGLISH_COLOR_AMOUNT_STRING;
		case COLOR_MODEL_STRING:
			return ENGLISH_COLOR_MODEL_STRING;
		case COLOR_STRING:
			return ENGLISH_COLOR_STRING;
		case COLOR_VARIANCE_STRING:
			return ENGLISH_COLOR_VARIANCE_STRING;
		case COLOR_WINDOW_STRING:
			return ENGLISH_COLOR_WINDOW_STRING;
		case COLORS_STRING:
			return ENGLISH_COLORS_STRING;
		case CONFIRM_QUIT_STRING:
			return ENGLISH_CONFIRM_QUIT_STRING;
		case CONTINUOUS_STRING:
			return ENGLISH_CONTINUOUS_STRING;
		case COPY_STRING:
			return ENGLISH_COPY_STRING;
		case CORNER_TO_CORNER_STRING:
			return ENGLISH_CORNER_TO_CORNER_STRING;
		case CREATE_CANVAS_STRING:
			return ENGLISH_CREATE_CANVAS_STRING;
		case CROP_HELP_STRING:
			return ENGLISH_CROP_HELP_STRING;
		case CROP_STRING:
			return ENGLISH_CROP_STRING;
		case CROSS_HAIR_CURSOR_STRING:
			return ENGLISH_CROSS_HAIR_CURSOR_STRING;
		case CURSOR_STRING:
			return ENGLISH_CURSOR_STRING;
		case CUT_STRING:
			return ENGLISH_CUT_STRING;
		case DELETE_CURRENT_SET_STRING:
			return ENGLISH_DELETE_CURRENT_SET_STRING;
		case DELETE_LAYER_STRING:
			return ENGLISH_DELETE_LAYER_STRING;
		case DELETE_SELECTED_BRUSH_STRING:
			return ENGLISH_DELETE_SELECTED_BRUSH_STRING;
		case DISCARD_CHANGES_STRING:
			return ENGLISH_DISCARD_CHANGES_STRING;
		case DO_NOT_SAVE_STRING:
			return ENGLISH_DO_NOT_SAVE_STRING;
		case DUPLICATE_LAYER_STRING:
			return ENGLISH_DUPLICATE_LAYER_STRING;
		case EDIT_STRING:
			return ENGLISH_EDIT_STRING;
		case EFFECTS_WINDOW_STRING:
			return ENGLISH_EFFECTS_WINDOW_STRING;
		case ELLIPSE_STRING:
			return ENGLISH_ELLIPSE_STRING;
		case EMPTY_PAINT_WINDOW_STRING:
			return ENGLISH_EMPTY_PAINT_WINDOW_STRING;
		case ENABLE_ANTI_ALIASING_STRING:
			return ENGLISH_ENABLE_ANTI_ALIASING_STRING;
		case ENABLE_GRADIENT_STRING:
			return ENGLISH_ENABLE_GRADIENT_STRING;
		case ENABLE_PREVIEW_STRING:
			return ENGLISH_ENABLE_PREVIEW_STRING;
		case ENABLE_ROTATION_STRING:
			return ENGLISH_ENABLE_ROTATION_STRING;
		case FADE_STRING:
			return ENGLISH_FADE_STRING;
		case FILE_STRING:
			return ENGLISH_FILE_STRING;
		case FILL_ELLIPSE_STRING:
			return ENGLISH_FILL_ELLIPSE_STRING;
		case FILL_RECTANGLE_STRING:
			return ENGLISH_FILL_RECTANGLE_STRING;
		case FINISHING_STRING:
			return ENGLISH_FINISHING_STRING;
		case FLIP_HORIZONTAL_ALL_LAYERS_HELP_STRING:
			return ENGLISH_FLIP_HORIZONTAL_ALL_LAYERS_HELP_STRING;
		case FLIP_HORIZONTAL_LAYER_HELP_STRING:
			return ENGLISH_FLIP_HORIZONTAL_LAYER_HELP_STRING;
		case FLIP_HORIZONTAL_STRING:
			return ENGLISH_FLIP_HORIZONTAL_STRING;
		case FLIP_VERTICAL_ALL_LAYERS_HELP_STRING:
			return ENGLISH_FLIP_VERTICAL_ALL_LAYERS_HELP_STRING;
		case FLIP_VERTICAL_LAYER_HELP_STRING:
			return ENGLISH_FLIP_VERTICAL_LAYER_HELP_STRING;
		case FLIP_VERTICAL_STRING:
			return ENGLISH_FLIP_VERTICAL_STRING;
		case FLOOD_FILL_STRING:
			return ENGLISH_FLOOD_FILL_STRING;
		case FLOW_STRING:
			return ENGLISH_FLOW_STRING;
		case FONT_STRING:
			return ENGLISH_FONT_STRING;
		case FREE_LINE_STRING:
			return ENGLISH_FREE_LINE_STRING;
		case GLOBAL_SETTINGS_STRING:
			return ENGLISH_GLOBAL_SETTINGS_STRING;
		case GREEN_STRING:
			return ENGLISH_GREEN_STRING;
		case GRID_OFF_HELP_STRING:
			return ENGLISH_GRID_OFF_HELP_STRING;
		case GRID_2_BY_2_HELP_STRING:
			return ENGLISH_GRID_2_BY_2_HELP_STRING;
		case GRID_4_BY_4_HELP_STRING:
			return ENGLISH_GRID_4_BY_4_HELP_STRING;
		case GRID_8_BY_8_HELP_STRING:
			return ENGLISH_GRID_8_BY_8_HELP_STRING;
		case GROW_SELECTION_HELP_STRING:
			return ENGLISH_GROW_SELECTION_HELP_STRING;
		case GROW_SELECTION_STRING:
			return ENGLISH_GROW_SELECTION_STRING;
		case HAIRS_STRING:
			return ENGLISH_HAIRS_STRING;
		case HEIGHT_STRING:
			return ENGLISH_HEIGHT_STRING;
		case HELP_STRING:
			return ENGLISH_HELP_STRING;
		case INSERT_TEXT_HELP_STRING:
			return ENGLISH_INSERT_TEXT_HELP_STRING;
		case INSERT_TEXT_STRING:
			return ENGLISH_INSERT_TEXT_STRING;
		case INTELLIGENT_SCISSORS_STRING:
			return ENGLISH_INTELLIGENT_SCISSORS_STRING;
		case INVERT_SELECTION_HELP_STRING:
			return ENGLISH_INVERT_SELECTION_HELP_STRING;
		case INVERT_SELECTION_STRING:
			return ENGLISH_INVERT_SELECTION_STRING;
		case KEEP_IN_FRONT_STRING:
			return ENGLISH_KEEP_IN_FRONT_STRING;
		case LANGUAGE_STRING:
			return ENGLISH_LANGUAGE_STRING;
		case LAYER_COPY_HELP_STRING:
			return ENGLISH_LAYER_COPY_HELP_STRING;
		case LAYER_CUT_HELP_STRING:
			return ENGLISH_LAYER_CUT_HELP_STRING;
		case LAYER_STRING:
			return ENGLISH_LAYER_STRING;
		case LAYER_WINDOW_STRING:
			return ENGLISH_LAYER_WINDOW_STRING;
		case LAYERS_STRING:
			return ENGLISH_LAYERS_STRING;
		case LITTLE_STRING:
			return ENGLISH_LITTLE_STRING;
		case LOCK_PROPORTIONS_STRING:
			return ENGLISH_LOCK_PROPORTIONS_STRING;	
		case LEFT_STRING:
			return ENGLISH_LEFT_STRING;
		case MAG_STRING:
			return ENGLISH_MAG_STRING;
		case MAGIC_WAND_STRING:
			return ENGLISH_MAGIC_WAND_STRING;
		case MERGE_WITH_BACK_LAYER_STRING:
			return ENGLISH_MERGE_WITH_BACK_LAYER_STRING;
		case MERGE_WITH_FRONT_LAYER_STRING:
			return ENGLISH_MERGE_WITH_FRONT_LAYER_STRING;
		case MISCELLANEOUS_STRING:
			return ENGLISH_MISCELLANEOUS_STRING;
		case MODE_STRING:
			return ENGLISH_MODE_STRING;
		case MUCH_STRING:
			return ENGLISH_MUCH_STRING;
		case NEW_COLOR_SET_STRING:
			return ENGLISH_NEW_COLOR_SET_STRING;
		case NEW_PROJECT_HELP_STRING:
			return ENGLISH_NEW_PROJECT_HELP_STRING;
		case NEW_PROJECT_STRING:
			return ENGLISH_NEW_PROJECT_STRING;
		case NO_OPTIONS_STRING:
			return ENGLISH_NO_OPTIONS_STRING;
		case NONE_STRING:
			return ENGLISH_NONE_STRING;
		case OFF_STRING:
			return ENGLISH_OFF_STRING;
		case OK_STRING:
			return ENGLISH_OK_STRING;
		case OPAQUE_STRING:
			return ENGLISH_OPAQUE_STRING;
		case OPEN_COLOR_SET_STRING:
			return ENGLISH_OPEN_COLOR_SET_STRING;
		case OPEN_IMAGE_HELP_STRING:
			return ENGLISH_OPEN_IMAGE_HELP_STRING;
		case OPEN_IMAGE_STRING:
			return ENGLISH_OPEN_IMAGE_STRING;	
		case OPEN_PROJECT_HELP_STRING:
			return ENGLISH_OPEN_PROJECT_HELP_STRING;
		case OPEN_PROJECT_STRING:
			return ENGLISH_OPEN_PROJECT_STRING;
		case OPEN_STRING:
			return ENGLISH_OPEN_STRING;
		case PALETTE_WINDOW_NAME_STRING:
			return ENGLISH_PALETTE_WINDOW_NAME_STRING;
		case PASTE_AS_NEW_LAYER_HELP_STRING:
			return ENGLISH_PASTE_AS_NEW_LAYER_HELP_STRING;
		case PASTE_AS_NEW_LAYER_STRING:
			return ENGLISH_PASTE_AS_NEW_LAYER_STRING;
		case PASTE_AS_NEW_PROJECT_HELP_STRING:
			return ENGLISH_PASTE_AS_NEW_PROJECT_HELP_STRING;
		case PASTE_AS_NEW_PROJECT_STRING:
			return ENGLISH_PASTE_AS_NEW_PROJECT_STRING;
		case QUIT_HELP_STRING:
			return ENGLISH_QUIT_HELP_STRING;
		case QUIT_STRING:
			return ENGLISH_QUIT_STRING;
		case RANDOM_STRING:
			return ENGLISH_RANDOM_STRING;
		case RECENT_IMAGES_STRING:
			return ENGLISH_RECENT_IMAGES_STRING;
		case RECENT_PROJECTS_STRING:
			return ENGLISH_RECENT_PROJECTS_STRING;
		case RECTANGLE_STRING:
			return ENGLISH_RECTANGLE_STRING;
		case RED_STRING:
			return ENGLISH_RED_STRING;
		case REDO_HELP_STRING:
			return ENGLISH_REDO_HELP_STRING;
		case REDO_NOT_AVAILABLE_STRING:
			return ENGLISH_REDO_NOT_AVAILABLE_STRING;
		case REDO_STRING:
			return ENGLISH_REDO_STRING;
		case RELEASE_DATE_STRING:
			return ENGLISH_RELEASE_DATE_STRING;
		case RESIZE_TO_FIT_HELP_STRING:
			return ENGLISH_RESIZE_TO_FIT_HELP_STRING;
		case RESIZE_TO_FIT_STRING:
			return ENGLISH_RESIZE_TO_FIT_STRING;
		case RIGHT_STRING:
			return ENGLISH_RIGHT_STRING;
		case ROTATE_ALL_LAYERS_HELP_STRING:
			return ENGLISH_ROTATE_ALL_LAYERS_HELP_STRING;
		case ROTATE_LAYER_HELP_STRING:
			return ENGLISH_ROTATE_LAYER_HELP_STRING;
		case ROTATE_STRING:
			return ENGLISH_ROTATE_STRING;
		case ROTATE_CW_STRING:
			return ENGLISH_ROTATE_CW_STRING;
		case ROTATE_CCW_STRING:
			return ENGLISH_ROTATE_CCW_STRING;			
		case ROTATION_STRING:
			return ENGLISH_ROTATION_STRING;
		case ROTATING_STRING:
			return ENGLISH_ROTATING_STRING;
		case SAVE_CHANGES_STRING:
			return ENGLISH_SAVE_CHANGES_STRING;
		case SAVE_COLOR_SET_AS_STRING:
			return ENGLISH_SAVE_COLOR_SET_AS_STRING;
		case SAVE_COLOR_SET_STRING:
			return ENGLISH_SAVE_COLOR_SET_STRING;
		case SAVE_FORMAT_STRING:
			return ENGLISH_SAVE_FORMAT_STRING;
		case SAVE_IMAGE_AS_HELP_STRING:
			return ENGLISH_SAVE_IMAGE_AS_HELP_STRING;
		case SAVE_IMAGE_AS_STRING:
			return ENGLISH_SAVE_IMAGE_AS_STRING;
		case SAVE_IMAGE_HELP_STRING:
			return ENGLISH_SAVE_IMAGE_HELP_STRING;
		case SAVE_IMAGE_STRING:
			return ENGLISH_SAVE_IMAGE_STRING;
		case SAVE_PROJECT_AS_HELP_STRING:
			return ENGLISH_SAVE_PROJECT_AS_HELP_STRING;
		case SAVE_PROJECT_AS_STRING:
			return ENGLISH_SAVE_PROJECT_AS_STRING;
		case SAVE_PROJECT_HELP_STRING:
			return ENGLISH_SAVE_PROJECT_HELP_STRING;
		case SAVE_PROJECT_STRING:
			return ENGLISH_SAVE_PROJECT_STRING;
		case SAVE_STRING:
			return ENGLISH_SAVE_STRING;
		case SCALE_ALL_LAYERS_HELP_STRING:
			return ENGLISH_SCALE_ALL_LAYERS_HELP_STRING;
		case SCALE_STRING:
			return ENGLISH_SCALE_STRING;
		case SELECT_CANVAS_SIZE_STRING:
			return ENGLISH_SELECT_CANVAS_SIZE_STRING;
		case SELECTED_COLORS_VIEW_MESSAGE1_STRING:
			return ENGLISH_SELECTED_COLORS_VIEW_MESSAGE1_STRING;
		case SET_GRID_STRING:
			return ENGLISH_SET_GRID_STRING;
		case SET_ZOOM_LEVEL_STRING:
			return ENGLISH_SET_ZOOM_LEVEL_STRING;
		case SETTINGS_HELP_STRING:
			return ENGLISH_SETTINGS_HELP_STRING;
		case SETTINGS_STRING:
			return ENGLISH_SETTINGS_STRING;
		case SHAPE_STRING:
			return ENGLISH_SHAPE_STRING;
		case SHEAR_STRING:
			return ENGLISH_SHEAR_STRING;
		case SHORTCUTS_HELP_STRING:
			return ENGLISH_SHORTCUTS_HELP_STRING;
		case SHORTCUTS_STRING:
			return ENGLISH_SHORTCUTS_STRING;
		case SHOW_BRUSH_WINDOW_HELP_STRING:
			return ENGLISH_SHOW_BRUSH_WINDOW_HELP_STRING;
		case SHOW_BRUSH_WINDOW_STRING:
			return ENGLISH_SHOW_BRUSH_WINDOW_STRING;
		case SHOW_LAYER_WINDOW_HELP_STRING:
			return ENGLISH_SHOW_LAYER_WINDOW_HELP_STRING;
		case SHOW_LAYER_WINDOW_STRING:
			return ENGLISH_SHOW_LAYER_WINDOW_STRING;
		case SHOW_PALETTE_WINDOW_HELP_STRING:
			return ENGLISH_SHOW_PALETTE_WINDOW_HELP_STRING;
		case SHOW_PALETTE_WINDOW_STRING:
			return ENGLISH_SHOW_PALETTE_WINDOW_STRING;
		case SHOW_TOOL_SETUP_WINDOW_HELP_STRING:
			return ENGLISH_SHOW_TOOL_SETUP_WINDOW_HELP_STRING;
		case SHOW_TOOL_SETUP_WINDOW_STRING:
			return ENGLISH_SHOW_TOOL_SETUP_WINDOW_STRING;
		case SHOW_TOOL_WINDOW_HELP_STRING:
			return ENGLISH_SHOW_TOOL_WINDOW_HELP_STRING;
		case SHOW_TOOL_WINDOW_STRING:
			return ENGLISH_SHOW_TOOL_WINDOW_STRING;
		case SHRINK_SELECTION_HELP_STRING:
			return ENGLISH_SHRINK_SELECTION_HELP_STRING;
		case SHRINK_SELECTION_STRING:
			return ENGLISH_SHRINK_SELECTION_STRING;
		case SIZE_STRING:
			return ENGLISH_SIZE_STRING;
		case SPEED_STRING:
			return ENGLISH_SPEED_STRING;
		case SPRAY_STRING:
			return ENGLISH_SPRAY_STRING;
		case STANDARD_SIZES_STRING:
			return ENGLISH_STANDARD_SIZES_STRING;
		case STORE_BRUSH_STRING:
			return ENGLISH_STORE_BRUSH_STRING;
		case SUBTRACT_AREA_STRING:
			return ENGLISH_SUBTRACT_AREA_STRING;
		case TEXT_COLOR_STRING:
			return ENGLISH_TEXT_COLOR_STRING;
		case TEXT_STRING:
			return ENGLISH_TEXT_STRING;
		case TOLERANCE_STRING:
			return ENGLISH_TOLERANCE_STRING;
		case TOOL_CURSOR_STRING:
			return ENGLISH_TOOL_CURSOR_STRING;
		case TOOL_SELECTION_WINDOW_STRING:
			return ENGLISH_TOOL_SELECTION_WINDOW_STRING;
		case TOOLS_STRING:
			return ENGLISH_TOOLS_STRING;
		case TOOL_SETUP_STRING:
			return ENGLISH_TOOL_SETUP_STRING;
		case TOOL_SETUP_WINDOW_STRING:
			return ENGLISH_TOOL_SETUP_WINDOW_STRING;
		case TOP_STRING:
			return ENGLISH_TOP_STRING;
		case TRANSLATE_ALL_LAYERS_HELP_STRING:
			return ENGLISH_TRANSLATE_ALL_LAYERS_HELP_STRING;
		case TRANSLATE_LAYER_HELP_STRING:
			return ENGLISH_TRANSLATE_LAYER_HELP_STRING;
		case TRANSLATE_STRING:
			return ENGLISH_TRANSLATE_STRING;
		case TRANSPARENT_STRING:
			return ENGLISH_TRANSPARENT_STRING;
		case TRANSPARENCY_STRING:
			return ENGLISH_TRANSPARENCY_STRING;
		case UNDO_HELP_STRING:
			return ENGLISH_UNDO_HELP_STRING;
		case UNDO_NOT_AVAILABLE_STRING:
			return ENGLISH_UNDO_NOT_AVAILABLE_STRING;
		case UNDO_SETTINGS_STRING:
			return ENGLISH_UNDO_SETTINGS_STRING;
		case UNDO_STRING:
			return ENGLISH_UNDO_STRING;
		case UNLIMITED_STRING:
			return ENGLISH_UNLIMITED_STRING;
		case UNSUPPORTED_FILE_TYPE_STRING:
			return ENGLISH_UNSUPPORTED_FILE_TYPE_STRING;
		case UNTITLED_STRING:
			return ENGLISH_UNTITLED_STRING;
		case USE_THE_TOOL_STRING:
			return ENGLISH_USE_THE_TOOL_STRING;
		case USER_MANUAL_HELP_STRING:
			return ENGLISH_USER_MANUAL_HELP_STRING;
		case USER_MANUAL_STRING:
			return ENGLISH_USER_MANUAL_STRING;
		case USING_THE_TOOL_STRING:
			return ENGLISH_USING_THE_TOOL_STRING;
		case VISIBLE_STRING:
			return ENGLISH_VISIBLE_STRING;
		case WAND_TOLERANCE_STRING:
			return ENGLISH_WAND_TOLERANCE_STRING;
		case WIDTH_STRING:
			return ENGLISH_WIDTH_STRING;
		case WINDOW_FLOATING_STRING:
			return ENGLISH_WINDOW_FLOATING_STRING;
		case WINDOW_STRING:
			return ENGLISH_WINDOW_STRING;
		case ZOOM_IN_HELP_STRING:
			return ENGLISH_ZOOM_IN_HELP_STRING;
		case ZOOM_IN_STRING:
			return ENGLISH_ZOOM_IN_STRING;
		case ZOOM_LEVEL_25_HELP_STRING:
			return ENGLISH_ZOOM_LEVEL_25_HELP_STRING;
		case ZOOM_LEVEL_50_HELP_STRING:
			return ENGLISH_ZOOM_LEVEL_50_HELP_STRING;
		case ZOOM_LEVEL_100_HELP_STRING:
			return ENGLISH_ZOOM_LEVEL_100_HELP_STRING;
		case ZOOM_LEVEL_200_HELP_STRING:
			return ENGLISH_ZOOM_LEVEL_200_HELP_STRING;
		case ZOOM_LEVEL_400_HELP_STRING:
			return ENGLISH_ZOOM_LEVEL_400_HELP_STRING;
		case ZOOM_LEVEL_800_HELP_STRING:
			return ENGLISH_ZOOM_LEVEL_800_HELP_STRING;
		case ZOOM_OUT_HELP_STRING:
			return ENGLISH_ZOOM_OUT_HELP_STRING;
		case ZOOM_OUT_STRING:
			return ENGLISH_ZOOM_OUT_STRING;	

		
		// Here begin the tool-name end tool-help strings.
		case AIR_BRUSH_TOOL_NAME_STRING:
			return ENGLISH_AIR_BRUSH_TOOL_NAME_STRING;
		case BLUR_TOOL_NAME_STRING:
			return ENGLISH_BLUR_TOOL_NAME_STRING;
		case BRUSH_TOOL_NAME_STRING:
			return ENGLISH_BRUSH_TOOL_NAME_STRING;
		case COLOR_SELECTOR_TOOL_NAME_STRING:
			return ENGLISH_COLOR_SELECTOR_TOOL_NAME_STRING;
		case ELLIPSE_TOOL_NAME_STRING:
			return ENGLISH_ELLIPSE_TOOL_NAME_STRING;
		case ERASER_TOOL_NAME_STRING:
			return ENGLISH_ERASER_TOOL_NAME_STRING;
		case FILL_TOOL_NAME_STRING:
			return ENGLISH_FILL_TOOL_NAME_STRING;
		case FREE_LINE_TOOL_NAME_STRING:
			return ENGLISH_FREE_LINE_TOOL_NAME_STRING;
		case HAIRY_BRUSH_TOOL_NAME_STRING:
			return ENGLISH_HAIRY_BRUSH_TOOL_NAME_STRING;
		case RECTANGLE_TOOL_NAME_STRING:	
			return ENGLISH_RECTANGLE_TOOL_NAME_STRING;
		case SELECTOR_TOOL_NAME_STRING:
			return ENGLISH_SELECTOR_TOOL_NAME_STRING;
		case STRAIGHT_LINE_TOOL_NAME_STRING:
			return ENGLISH_STRAIGHT_LINE_TOOL_NAME_STRING;
		case TEXT_TOOL_NAME_STRING:
			return ENGLISH_TEXT_TOOL_NAME_STRING;
		case TRANSPARENCY_TOOL_NAME_STRING:	
			return ENGLISH_TRANSPARENCY_TOOL_NAME_STRING;


		case AIR_BRUSH_TOOL_READY_STRING:
			return ENGLISH_AIR_BRUSH_TOOL_READY_STRING;
		case BLUR_TOOL_READY_STRING:
			return ENGLISH_BLUR_TOOL_READY_STRING;
		case BRUSH_TOOL_READY_STRING:
			return ENGLISH_BRUSH_TOOL_READY_STRING;
		case COLOR_SELECTOR_TOOL_READY_STRING:
			return ENGLISH_COLOR_SELECTOR_TOOL_READY_STRING;
		case ELLIPSE_TOOL_READY_STRING:
			return ENGLISH_ELLIPSE_TOOL_READY_STRING;
		case ERASER_TOOL_READY_STRING:
			return ENGLISH_ERASER_TOOL_READY_STRING;
		case FILL_TOOL_READY_STRING:
			return ENGLISH_FILL_TOOL_READY_STRING;
		case FREE_LINE_TOOL_READY_STRING:
			return ENGLISH_FREE_LINE_TOOL_READY_STRING;
		case HAIRY_BRUSH_TOOL_READY_STRING:
			return ENGLISH_HAIRY_BRUSH_TOOL_READY_STRING;
		case RECTANGLE_TOOL_READY_STRING:	
			return ENGLISH_RECTANGLE_TOOL_READY_STRING;
		case SELECTOR_TOOL_READY_STRING:
			return ENGLISH_SELECTOR_TOOL_READY_STRING;
		case STRAIGHT_LINE_TOOL_READY_STRING:
			return ENGLISH_STRAIGHT_LINE_TOOL_READY_STRING;
		case TEXT_TOOL_READY_STRING:
			return ENGLISH_TEXT_TOOL_READY_STRING;
		case TRANSPARENCY_TOOL_READY_STRING:	
			return ENGLISH_TRANSPARENCY_TOOL_READY_STRING;


		case AIR_BRUSH_TOOL_IN_USE_STRING:
			return ENGLISH_AIR_BRUSH_TOOL_IN_USE_STRING;
		case BLUR_TOOL_IN_USE_STRING:
			return ENGLISH_BLUR_TOOL_IN_USE_STRING;
		case BRUSH_TOOL_IN_USE_STRING:
			return ENGLISH_BRUSH_TOOL_IN_USE_STRING;
		case COLOR_SELECTOR_TOOL_IN_USE_STRING:
			return ENGLISH_COLOR_SELECTOR_TOOL_IN_USE_STRING;
		case ELLIPSE_TOOL_IN_USE_STRING:
			return ENGLISH_ELLIPSE_TOOL_IN_USE_STRING;
		case ERASER_TOOL_IN_USE_STRING:
			return ENGLISH_ERASER_TOOL_IN_USE_STRING;
		case FILL_TOOL_IN_USE_STRING:
			return ENGLISH_FILL_TOOL_IN_USE_STRING;
		case FREE_LINE_TOOL_IN_USE_STRING:
			return ENGLISH_FREE_LINE_TOOL_IN_USE_STRING;
		case HAIRY_BRUSH_TOOL_IN_USE_STRING:
			return ENGLISH_HAIRY_BRUSH_TOOL_IN_USE_STRING;
		case RECTANGLE_TOOL_IN_USE_STRING:	
			return ENGLISH_RECTANGLE_TOOL_IN_USE_STRING;
		case SELECTOR_TOOL_IN_USE_STRING:
			return ENGLISH_SELECTOR_TOOL_IN_USE_STRING;
		case STRAIGHT_LINE_TOOL_IN_USE_STRING:
			return ENGLISH_STRAIGHT_LINE_TOOL_IN_USE_STRING;
		case TEXT_TOOL_IN_USE_STRING:
			return ENGLISH_TEXT_TOOL_IN_USE_STRING;
		case TRANSPARENCY_TOOL_IN_USE_STRING:	
			return ENGLISH_TRANSPARENCY_TOOL_IN_USE_STRING;

		case DO_CHANGE_TRANSPARENCY_HELP_STRING:
			return ENGLISH_CHANGE_TRANSPARENCY_HELP_STRING;
		case DO_CROP_HELP_STRING:
			return ENGLISH_DO_CROP_HELP_STRING;
		case DO_ROTATE_HELP_STRING:	
			return ENGLISH_DO_ROTATE_HELP_STRING;
		case DO_SCALE_HELP_STRING:
			return ENGLISH_DO_SCALE_HELP_STRING;
		case DO_TRANSLATE_HELP_STRING:
			return ENGLISH_DO_TRANSLATE_HELP_STRING;

		// About-window strings
		case ABOUT_1_TEXT_STRING:
			return ENGLISH_ABOUT_1_TEXT_STRING;
		case ABOUT_3_TEXT_STRING:
			return ENGLISH_ABOUT_3_TEXT_STRING;
		case ABOUT_4_TEXT_STRING:
			return ENGLISH_ABOUT_4_TEXT_STRING;
		case ABOUT_5_TEXT_STRING:
			return ENGLISH_ABOUT_5_TEXT_STRING;
		case ABOUT_6_TEXT_STRING:
			return ENGLISH_ABOUT_6_TEXT_STRING;
		case ABOUT_7_TEXT_STRING:
			return ENGLISH_ABOUT_7_TEXT_STRING;
		case ABOUT_8_TEXT_STRING:
			return ENGLISH_ABOUT_8_TEXT_STRING;
		case ABOUT_9_TEXT_STRING:
			return ENGLISH_ABOUT_9_TEXT_STRING;
		case ABOUT_10_TEXT_STRING:
			return ENGLISH_ABOUT_10_TEXT_STRING;

		// These are general alert string
		case MEMORY_ALERT_1_STRING:
			return ENGLISH_MEMORY_ALERT_1_STRING;
		case MEMORY_ALERT_2_STRING:
			return ENGLISH_MEMORY_ALERT_2_STRING;
		case MEMORY_ALERT_3_STRING:
			return ENGLISH_MEMORY_ALERT_3_STRING;
	}

	// The default case of the switch. Taken away from the switch
	// to allow warnings on missing cases.
	char *string = new char[256];
	sprintf(string,"No such string in english: %d",id);
	return string;
}



const char* StringServer::return_german_string(string_id id)
{
	switch (id) {
		case ABOUT_ARTPAINT_STRING:
			return GERMAN_ABOUT_ARTPAINT_STRING;
		case ABOUT_HELP_STRING:
			return GERMAN_ABOUT_HELP_STRING;
		case ACTIVE_LAYER_STRING:
			return GERMAN_ACTIVE_LAYER_STRING;
		case ADD_AREA_STRING:
			return GERMAN_ADD_AREA_STRING;
		case ADD_LAYER_HELP_STRING:
			return GERMAN_ADD_LAYER_HELP_STRING;
		case ADD_LAYER_STRING:
			return GERMAN_ADD_LAYER_STRING;
		case ADD_LAYER_BEHIND_STRING:
			return GERMAN_ADD_LAYER_BEHIND_STRING;
		case ADD_LAYER_IN_FRONT_STRING:
			return GERMAN_ADD_LAYER_IN_FRONT_STRING;
		case ADD_ONS_STRING:
			return GERMAN_ADD_ONS_STRING;
		case ADJUSTABLE_STRING:
			return GERMAN_ADJUSTABLE_STRING;
		case ADJUSTABLE_WIDTH_STRING:
			return GERMAN_ADJUSTABLE_WIDTH_STRING;
		case AIRBRUSH_STRING:
			return GERMAN_AIRBRUSH_STRING;
		case ALL_LAYERS_COPY_HELP_STRING:
			return GERMAN_ALL_LAYERS_COPY_HELP_STRING;
		case ALL_LAYERS_CUT_HELP_STRING:
			return GERMAN_ALL_LAYERS_CUT_HELP_STRING;
		case ALL_LAYERS_STRING:
			return GERMAN_ALL_LAYERS_STRING;	
		case ALPHA_STRING:
			return GERMAN_ALPHA_STRING;
		case APPLY_CHANGES_STRING:
			return GERMAN_APPLY_CHANGES_STRING;
		case BACKGROUND_STRING:
			return GERMAN_BACKGROUND_STRING;
		case BLUE_STRING:
			return GERMAN_BLUE_STRING;
		case BOTTOM_STRING:
			return GERMAN_BOTTOM_STRING;
		case BRUSH_STRING:
			return GERMAN_BRUSH_STRING;
		case BRUSH_WINDOW_STRING:
			return GERMAN_BRUSH_WINDOW_STRING;
		case BRUSHES_STRING:
			return GERMAN_BRUSHES_STRING;
		case CANCEL_STRING:
			return GERMAN_CANCEL_STRING;
		case CANNOT_CREATE_IMAGE_STRING:
			return GERMAN_CANNOT_CREATE_IMAGE_STRING;
		case CANVAS_STRING:
			return GERMAN_CANVAS_STRING;
		case CENTER_TO_CORNER_STRING:
			return GERMAN_CENTER_TO_CORNER_STRING;
		case CHANGE_TRANSPARENCY_HELP_STRING:
			return GERMAN_CHANGE_TRANSPARENCY_HELP_STRING;
		case CHANGE_TRANSPARENCY_STRING:
			return GERMAN_CHANGE_TRANSPARENCY_STRING;
		case CLEAR_CANVAS_HELP_STRING:
			return GERMAN_CLEAR_CANVAS_HELP_STRING;
		case CLEAR_CANVAS_STRING:
			return GERMAN_CLEAR_CANVAS_STRING;
		case CLEAR_LAYER_HELP_STRING:
			return GERMAN_CLEAR_LAYER_HELP_STRING;
		case CLEAR_LAYER_STRING:
			return GERMAN_CLEAR_LAYER_STRING;
		case CLEAR_SELECTION_HELP_STRING:
			return GERMAN_CLEAR_SELECTION_HELP_STRING;
		case CLEAR_SELECTION_STRING:
			return GERMAN_CLEAR_SELECTION_STRING;
		case CLICK_TO_SELECT_COLOR_STRING:
			return GERMAN_CLICK_TO_SELECT_COLOR_STRING;
		case CLOSE_HELP_STRING:
			return GERMAN_CLOSE_HELP_STRING;
		case COLOR_SET_STRING:
			return GERMAN_COLOR_SET_STRING;
		case CLOSE_STRING:
			return GERMAN_CLOSE_STRING;
		case COLOR_AMOUNT_STRING:
			return GERMAN_COLOR_AMOUNT_STRING;
		case COLOR_MODEL_STRING:
			return GERMAN_COLOR_MODEL_STRING;
		case COLOR_STRING:
			return GERMAN_COLOR_STRING;
		case COLOR_VARIANCE_STRING:
			return GERMAN_COLOR_VARIANCE_STRING;
		case COLOR_WINDOW_STRING:
			return GERMAN_COLOR_WINDOW_STRING;
		case COLORS_STRING:
			return GERMAN_COLORS_STRING;
		case CONFIRM_QUIT_STRING:
			return GERMAN_CONFIRM_QUIT_STRING;
		case CONTINUOUS_STRING:
			return GERMAN_CONTINUOUS_STRING;
		case COPY_STRING:
			return GERMAN_COPY_STRING;
		case CORNER_TO_CORNER_STRING:
			return GERMAN_CORNER_TO_CORNER_STRING;
		case CREATE_CANVAS_STRING:
			return GERMAN_CREATE_CANVAS_STRING;
		case CROP_HELP_STRING:
			return GERMAN_CROP_HELP_STRING;
		case CROP_STRING:
			return GERMAN_CROP_STRING;
		case CROSS_HAIR_CURSOR_STRING:
			return GERMAN_CROSS_HAIR_CURSOR_STRING;
		case CURSOR_STRING:
			return GERMAN_CURSOR_STRING;
		case CUT_STRING:
			return GERMAN_CUT_STRING;
		case DELETE_CURRENT_SET_STRING:
			return GERMAN_DELETE_CURRENT_SET_STRING;
		case DELETE_LAYER_STRING:
			return GERMAN_DELETE_LAYER_STRING;
		case DELETE_SELECTED_BRUSH_STRING:
			return GERMAN_DELETE_SELECTED_BRUSH_STRING;
		case DISCARD_CHANGES_STRING:
			return GERMAN_DISCARD_CHANGES_STRING;
		case DO_NOT_SAVE_STRING:
			return GERMAN_DO_NOT_SAVE_STRING;
		case DUPLICATE_LAYER_STRING:
			return GERMAN_DUPLICATE_LAYER_STRING;
		case EDIT_STRING:
			return GERMAN_EDIT_STRING;
		case EFFECTS_WINDOW_STRING:
			return GERMAN_EFFECTS_WINDOW_STRING;
		case ELLIPSE_STRING:
			return GERMAN_ELLIPSE_STRING;
		case EMPTY_PAINT_WINDOW_STRING:
			return GERMAN_EMPTY_PAINT_WINDOW_STRING;
		case ENABLE_ANTI_ALIASING_STRING:
			return GERMAN_ENABLE_ANTI_ALIASING_STRING;
		case ENABLE_GRADIENT_STRING:
			return GERMAN_ENABLE_GRADIENT_STRING;
		case ENABLE_PREVIEW_STRING:
			return GERMAN_ENABLE_PREVIEW_STRING;
		case ENABLE_ROTATION_STRING:
			return GERMAN_ENABLE_ROTATION_STRING;
		case FADE_STRING:
			return GERMAN_FADE_STRING;
		case FILE_STRING:
			return GERMAN_FILE_STRING;
		case FILL_ELLIPSE_STRING:
			return GERMAN_FILL_ELLIPSE_STRING;
		case FILL_RECTANGLE_STRING:
			return GERMAN_FILL_RECTANGLE_STRING;
		case FINISHING_STRING:
			return GERMAN_FINISHING_STRING;
		case FLIP_HORIZONTAL_ALL_LAYERS_HELP_STRING:
			return GERMAN_FLIP_HORIZONTAL_ALL_LAYERS_HELP_STRING;
		case FLIP_HORIZONTAL_LAYER_HELP_STRING:
			return GERMAN_FLIP_HORIZONTAL_LAYER_HELP_STRING;
		case FLIP_HORIZONTAL_STRING:
			return GERMAN_FLIP_HORIZONTAL_STRING;
		case FLIP_VERTICAL_ALL_LAYERS_HELP_STRING:
			return GERMAN_FLIP_VERTICAL_ALL_LAYERS_HELP_STRING;
		case FLIP_VERTICAL_LAYER_HELP_STRING:
			return GERMAN_FLIP_VERTICAL_LAYER_HELP_STRING;
		case FLIP_VERTICAL_STRING:
			return GERMAN_FLIP_VERTICAL_STRING;
		case FLOOD_FILL_STRING:
			return GERMAN_FLOOD_FILL_STRING;
		case FLOW_STRING:
			return GERMAN_FLOW_STRING;
		case FONT_STRING:
			return GERMAN_FONT_STRING;
		case FREE_LINE_STRING:
			return GERMAN_FREE_LINE_STRING;
		case GLOBAL_SETTINGS_STRING:
			return GERMAN_GLOBAL_SETTINGS_STRING;
		case GREEN_STRING:
			return GERMAN_GREEN_STRING;
		case GRID_OFF_HELP_STRING:
			return GERMAN_GRID_OFF_HELP_STRING;
		case GRID_2_BY_2_HELP_STRING:
			return GERMAN_GRID_2_BY_2_HELP_STRING;
		case GRID_4_BY_4_HELP_STRING:
			return GERMAN_GRID_4_BY_4_HELP_STRING;
		case GRID_8_BY_8_HELP_STRING:
			return GERMAN_GRID_8_BY_8_HELP_STRING;
		case GROW_SELECTION_HELP_STRING:
			return GERMAN_GROW_SELECTION_HELP_STRING;
		case GROW_SELECTION_STRING:
			return GERMAN_GROW_SELECTION_STRING;
		case HAIRS_STRING:
			return GERMAN_HAIRS_STRING;
		case HEIGHT_STRING:
			return GERMAN_HEIGHT_STRING;
		case HELP_STRING:
			return GERMAN_HELP_STRING;
		case INSERT_TEXT_HELP_STRING:
			return GERMAN_INSERT_TEXT_HELP_STRING;
		case INSERT_TEXT_STRING:
			return GERMAN_INSERT_TEXT_STRING;
		case INTELLIGENT_SCISSORS_STRING:
			return GERMAN_INTELLIGENT_SCISSORS_STRING;
		case INVERT_SELECTION_HELP_STRING:
			return GERMAN_INVERT_SELECTION_HELP_STRING;
		case INVERT_SELECTION_STRING:
			return GERMAN_INVERT_SELECTION_STRING;
		case KEEP_IN_FRONT_STRING:
			return GERMAN_KEEP_IN_FRONT_STRING;
		case LANGUAGE_STRING:
			return GERMAN_LANGUAGE_STRING;
		case LAYER_COPY_HELP_STRING:
			return GERMAN_LAYER_COPY_HELP_STRING;
		case LAYER_CUT_HELP_STRING:
			return GERMAN_LAYER_CUT_HELP_STRING;
		case LAYER_STRING:
			return GERMAN_LAYER_STRING;
		case LAYER_WINDOW_STRING:
			return GERMAN_LAYER_WINDOW_STRING;
		case LAYERS_STRING:
			return GERMAN_LAYERS_STRING;
		case LITTLE_STRING:
			return GERMAN_LITTLE_STRING;
		case LOCK_PROPORTIONS_STRING:
			return GERMAN_LOCK_PROPORTIONS_STRING;	
		case LEFT_STRING:
			return GERMAN_LEFT_STRING;
		case MAG_STRING:
			return GERMAN_MAG_STRING;
		case MAGIC_WAND_STRING:
			return GERMAN_MAGIC_WAND_STRING;
		case MERGE_WITH_BACK_LAYER_STRING:
			return GERMAN_MERGE_WITH_BACK_LAYER_STRING;
		case MERGE_WITH_FRONT_LAYER_STRING:
			return GERMAN_MERGE_WITH_FRONT_LAYER_STRING;
		case MISCELLANEOUS_STRING:
			return GERMAN_MISCELLANEOUS_STRING;
		case MODE_STRING:
			return GERMAN_MODE_STRING;
		case MUCH_STRING:
			return GERMAN_MUCH_STRING;
		case NEW_COLOR_SET_STRING:
			return GERMAN_NEW_COLOR_SET_STRING;
		case NEW_PROJECT_HELP_STRING:
			return GERMAN_NEW_PROJECT_HELP_STRING;
		case NEW_PROJECT_STRING:
			return GERMAN_NEW_PROJECT_STRING;
		case NO_OPTIONS_STRING:
			return GERMAN_NO_OPTIONS_STRING;
		case NONE_STRING:
			return GERMAN_NONE_STRING;
		case OFF_STRING:
			return GERMAN_OFF_STRING;
		case OK_STRING:
			return GERMAN_OK_STRING;
		case OPAQUE_STRING:
			return GERMAN_OPAQUE_STRING;
		case OPEN_COLOR_SET_STRING:
			return GERMAN_OPEN_COLOR_SET_STRING;
		case OPEN_IMAGE_HELP_STRING:
			return GERMAN_OPEN_IMAGE_HELP_STRING;
		case OPEN_IMAGE_STRING:
			return GERMAN_OPEN_IMAGE_STRING;	
		case OPEN_PROJECT_HELP_STRING:
			return GERMAN_OPEN_PROJECT_HELP_STRING;
		case OPEN_PROJECT_STRING:
			return GERMAN_OPEN_PROJECT_STRING;
		case OPEN_STRING:
			return GERMAN_OPEN_STRING;
		case PALETTE_WINDOW_NAME_STRING:
			return GERMAN_PALETTE_WINDOW_NAME_STRING;
		case PASTE_AS_NEW_LAYER_HELP_STRING:
			return GERMAN_PASTE_AS_NEW_LAYER_HELP_STRING;
		case PASTE_AS_NEW_LAYER_STRING:
			return GERMAN_PASTE_AS_NEW_LAYER_STRING;
		case PASTE_AS_NEW_PROJECT_HELP_STRING:
			return GERMAN_PASTE_AS_NEW_PROJECT_HELP_STRING;
		case PASTE_AS_NEW_PROJECT_STRING:
			return GERMAN_PASTE_AS_NEW_PROJECT_STRING;
		case QUIT_HELP_STRING:
			return GERMAN_QUIT_HELP_STRING;
		case QUIT_STRING:
			return GERMAN_QUIT_STRING;
		case RANDOM_STRING:
			return GERMAN_RANDOM_STRING;
		case RECENT_IMAGES_STRING:
			return GERMAN_RECENT_IMAGES_STRING;
		case RECENT_PROJECTS_STRING:
			return GERMAN_RECENT_PROJECTS_STRING;
		case RECTANGLE_STRING:
			return GERMAN_RECTANGLE_STRING;
		case RED_STRING:
			return GERMAN_RED_STRING;
		case REDO_HELP_STRING:
			return GERMAN_REDO_HELP_STRING;
		case REDO_NOT_AVAILABLE_STRING:
			return GERMAN_REDO_NOT_AVAILABLE_STRING;
		case REDO_STRING:
			return GERMAN_REDO_STRING;
		case RELEASE_DATE_STRING:
			return GERMAN_RELEASE_DATE_STRING;
		case RESIZE_TO_FIT_HELP_STRING:
			return GERMAN_RESIZE_TO_FIT_HELP_STRING;
		case RESIZE_TO_FIT_STRING:
			return GERMAN_RESIZE_TO_FIT_STRING;
		case RIGHT_STRING:
			return GERMAN_RIGHT_STRING;
		case ROTATE_ALL_LAYERS_HELP_STRING:
			return GERMAN_ROTATE_ALL_LAYERS_HELP_STRING;
		case ROTATE_LAYER_HELP_STRING:
			return GERMAN_ROTATE_LAYER_HELP_STRING;
		case ROTATE_STRING:
			return GERMAN_ROTATE_STRING;
		case ROTATE_CW_STRING:
			return GERMAN_ROTATE_CW_STRING;
		case ROTATE_CCW_STRING:
			return GERMAN_ROTATE_CCW_STRING;
		case ROTATION_STRING:
			return GERMAN_ROTATION_STRING;
		case ROTATING_STRING:
			return GERMAN_ROTATING_STRING;
		case SAVE_CHANGES_STRING:
			return GERMAN_SAVE_CHANGES_STRING;
		case SAVE_COLOR_SET_AS_STRING:
			return GERMAN_SAVE_COLOR_SET_AS_STRING;
		case SAVE_COLOR_SET_STRING:
			return GERMAN_SAVE_COLOR_SET_STRING;
		case SAVE_FORMAT_STRING:
			return GERMAN_SAVE_FORMAT_STRING;
		case SAVE_IMAGE_AS_HELP_STRING:
			return GERMAN_SAVE_IMAGE_AS_HELP_STRING;
		case SAVE_IMAGE_AS_STRING:
			return GERMAN_SAVE_IMAGE_AS_STRING;
		case SAVE_IMAGE_HELP_STRING:
			return GERMAN_SAVE_IMAGE_HELP_STRING;
		case SAVE_IMAGE_STRING:
			return GERMAN_SAVE_IMAGE_STRING;
		case SAVE_PROJECT_AS_HELP_STRING:
			return GERMAN_SAVE_PROJECT_AS_HELP_STRING;
		case SAVE_PROJECT_AS_STRING:
			return GERMAN_SAVE_PROJECT_AS_STRING;
		case SAVE_PROJECT_HELP_STRING:
			return GERMAN_SAVE_PROJECT_HELP_STRING;
		case SAVE_PROJECT_STRING:
			return GERMAN_SAVE_PROJECT_STRING;
		case SAVE_STRING:
			return GERMAN_SAVE_STRING;
		case SCALE_ALL_LAYERS_HELP_STRING:
			return GERMAN_SCALE_ALL_LAYERS_HELP_STRING;
		case SCALE_STRING:
			return GERMAN_SCALE_STRING;
		case SELECT_CANVAS_SIZE_STRING:
			return GERMAN_SELECT_CANVAS_SIZE_STRING;
		case SELECTED_COLORS_VIEW_MESSAGE1_STRING:
			return GERMAN_SELECTED_COLORS_VIEW_MESSAGE1_STRING;
		case SET_GRID_STRING:
			return GERMAN_SET_GRID_STRING;
		case SET_ZOOM_LEVEL_STRING:
			return GERMAN_SET_ZOOM_LEVEL_STRING;
		case SETTINGS_HELP_STRING:
			return GERMAN_SETTINGS_HELP_STRING;
		case SETTINGS_STRING:
			return GERMAN_SETTINGS_STRING;
		case SHAPE_STRING:
			return GERMAN_SHAPE_STRING;
		case SHEAR_STRING:
			return GERMAN_SHEAR_STRING;
		case SHORTCUTS_HELP_STRING:
			return GERMAN_SHORTCUTS_HELP_STRING;
		case SHORTCUTS_STRING:
			return GERMAN_SHORTCUTS_STRING;
		case SHOW_BRUSH_WINDOW_HELP_STRING:
			return GERMAN_SHOW_BRUSH_WINDOW_HELP_STRING;
		case SHOW_BRUSH_WINDOW_STRING:
			return GERMAN_SHOW_BRUSH_WINDOW_STRING;
		case SHOW_LAYER_WINDOW_HELP_STRING:
			return GERMAN_SHOW_LAYER_WINDOW_HELP_STRING;
		case SHOW_LAYER_WINDOW_STRING:
			return GERMAN_SHOW_LAYER_WINDOW_STRING;
		case SHOW_PALETTE_WINDOW_HELP_STRING:
			return GERMAN_SHOW_PALETTE_WINDOW_HELP_STRING;
		case SHOW_PALETTE_WINDOW_STRING:
			return GERMAN_SHOW_PALETTE_WINDOW_STRING;
		case SHOW_TOOL_SETUP_WINDOW_HELP_STRING:
			return GERMAN_SHOW_TOOL_SETUP_WINDOW_HELP_STRING;
		case SHOW_TOOL_SETUP_WINDOW_STRING:
			return GERMAN_SHOW_TOOL_SETUP_WINDOW_STRING;
		case SHOW_TOOL_WINDOW_HELP_STRING:
			return GERMAN_SHOW_TOOL_WINDOW_HELP_STRING;
		case SHOW_TOOL_WINDOW_STRING:
			return GERMAN_SHOW_TOOL_WINDOW_STRING;
		case SHRINK_SELECTION_HELP_STRING:
			return GERMAN_SHRINK_SELECTION_HELP_STRING;
		case SHRINK_SELECTION_STRING:
			return GERMAN_SHRINK_SELECTION_STRING;
		case SIZE_STRING:
			return GERMAN_SIZE_STRING;
		case SPEED_STRING:
			return GERMAN_SPEED_STRING;
		case SPRAY_STRING:
			return GERMAN_SPRAY_STRING;
		case STANDARD_SIZES_STRING:
			return GERMAN_STANDARD_SIZES_STRING;
		case STORE_BRUSH_STRING:
			return GERMAN_STORE_BRUSH_STRING;
		case SUBTRACT_AREA_STRING:
			return GERMAN_SUBTRACT_AREA_STRING;
		case TEXT_COLOR_STRING:
			return GERMAN_TEXT_COLOR_STRING;
		case TEXT_STRING:
			return GERMAN_TEXT_STRING;
		case TOLERANCE_STRING:
			return GERMAN_TOLERANCE_STRING;
		case TOOL_CURSOR_STRING:
			return GERMAN_TOOL_CURSOR_STRING;
		case TOOL_SELECTION_WINDOW_STRING:
			return GERMAN_TOOL_SELECTION_WINDOW_STRING;
		case TOOLS_STRING:
			return GERMAN_TOOLS_STRING;
		case TOOL_SETUP_STRING:
			return GERMAN_TOOL_SETUP_STRING;
		case TOOL_SETUP_WINDOW_STRING:
			return GERMAN_TOOL_SETUP_WINDOW_STRING;
		case TOP_STRING:
			return GERMAN_TOP_STRING;
		case TRANSLATE_ALL_LAYERS_HELP_STRING:
			return GERMAN_TRANSLATE_ALL_LAYERS_HELP_STRING;
		case TRANSLATE_LAYER_HELP_STRING:
			return GERMAN_TRANSLATE_LAYER_HELP_STRING;
		case TRANSLATE_STRING:
			return GERMAN_TRANSLATE_STRING;
		case TRANSPARENT_STRING:
			return GERMAN_TRANSPARENT_STRING;
		case TRANSPARENCY_STRING:
			return GERMAN_TRANSPARENCY_STRING;
		case UNDO_HELP_STRING:
			return GERMAN_UNDO_HELP_STRING;
		case UNDO_NOT_AVAILABLE_STRING:
			return GERMAN_UNDO_NOT_AVAILABLE_STRING;
		case UNDO_SETTINGS_STRING:
			return GERMAN_UNDO_SETTINGS_STRING;
		case UNDO_STRING:
			return GERMAN_UNDO_STRING;
		case UNLIMITED_STRING:
			return GERMAN_UNLIMITED_STRING;
		case UNSUPPORTED_FILE_TYPE_STRING:
			return GERMAN_UNSUPPORTED_FILE_TYPE_STRING;
		case UNTITLED_STRING:
			return GERMAN_UNTITLED_STRING;
		case USE_THE_TOOL_STRING:
			return GERMAN_USE_THE_TOOL_STRING;
		case USER_MANUAL_HELP_STRING:
			return GERMAN_USER_MANUAL_HELP_STRING;
		case USER_MANUAL_STRING:
			return GERMAN_USER_MANUAL_STRING;
		case USING_THE_TOOL_STRING:
			return GERMAN_USING_THE_TOOL_STRING;
		case VISIBLE_STRING:
			return GERMAN_VISIBLE_STRING;
		case WAND_TOLERANCE_STRING:
			return GERMAN_WAND_TOLERANCE_STRING;
		case WIDTH_STRING:
			return GERMAN_WIDTH_STRING;
		case WINDOW_FLOATING_STRING:
			return GERMAN_WINDOW_FLOATING_STRING;
		case WINDOW_STRING:
			return GERMAN_WINDOW_STRING;
		case ZOOM_IN_HELP_STRING:
			return GERMAN_ZOOM_IN_HELP_STRING;
		case ZOOM_IN_STRING:
			return GERMAN_ZOOM_IN_STRING;
		case ZOOM_LEVEL_25_HELP_STRING:
			return GERMAN_ZOOM_LEVEL_25_HELP_STRING;
		case ZOOM_LEVEL_50_HELP_STRING:
			return GERMAN_ZOOM_LEVEL_50_HELP_STRING;
		case ZOOM_LEVEL_100_HELP_STRING:
			return GERMAN_ZOOM_LEVEL_100_HELP_STRING;
		case ZOOM_LEVEL_200_HELP_STRING:
			return GERMAN_ZOOM_LEVEL_200_HELP_STRING;
		case ZOOM_LEVEL_400_HELP_STRING:
			return GERMAN_ZOOM_LEVEL_400_HELP_STRING;
		case ZOOM_LEVEL_800_HELP_STRING:
			return GERMAN_ZOOM_LEVEL_800_HELP_STRING;
		case ZOOM_OUT_HELP_STRING:
			return GERMAN_ZOOM_OUT_HELP_STRING;
		case ZOOM_OUT_STRING:
			return GERMAN_ZOOM_OUT_STRING;	

		
		// Here begin the tool-name end tool-help strings.
		case AIR_BRUSH_TOOL_NAME_STRING:
			return GERMAN_AIR_BRUSH_TOOL_NAME_STRING;
		case BLUR_TOOL_NAME_STRING:
			return GERMAN_BLUR_TOOL_NAME_STRING;
		case BRUSH_TOOL_NAME_STRING:
			return GERMAN_BRUSH_TOOL_NAME_STRING;
		case COLOR_SELECTOR_TOOL_NAME_STRING:
			return GERMAN_COLOR_SELECTOR_TOOL_NAME_STRING;
		case ELLIPSE_TOOL_NAME_STRING:
			return GERMAN_ELLIPSE_TOOL_NAME_STRING;
		case ERASER_TOOL_NAME_STRING:
			return GERMAN_ERASER_TOOL_NAME_STRING;
		case FILL_TOOL_NAME_STRING:
			return GERMAN_FILL_TOOL_NAME_STRING;
		case FREE_LINE_TOOL_NAME_STRING:
			return GERMAN_FREE_LINE_TOOL_NAME_STRING;
		case HAIRY_BRUSH_TOOL_NAME_STRING:
			return GERMAN_HAIRY_BRUSH_TOOL_NAME_STRING;
		case RECTANGLE_TOOL_NAME_STRING:	
			return GERMAN_RECTANGLE_TOOL_NAME_STRING;
		case SELECTOR_TOOL_NAME_STRING:
			return GERMAN_SELECTOR_TOOL_NAME_STRING;
		case STRAIGHT_LINE_TOOL_NAME_STRING:
			return GERMAN_STRAIGHT_LINE_TOOL_NAME_STRING;
		case TEXT_TOOL_NAME_STRING:
			return GERMAN_TEXT_TOOL_NAME_STRING;
		case TRANSPARENCY_TOOL_NAME_STRING:	
			return GERMAN_TRANSPARENCY_TOOL_NAME_STRING;


		case AIR_BRUSH_TOOL_READY_STRING:
			return GERMAN_AIR_BRUSH_TOOL_READY_STRING;
		case BLUR_TOOL_READY_STRING:
			return GERMAN_BLUR_TOOL_READY_STRING;
		case BRUSH_TOOL_READY_STRING:
			return GERMAN_BRUSH_TOOL_READY_STRING;
		case COLOR_SELECTOR_TOOL_READY_STRING:
			return GERMAN_COLOR_SELECTOR_TOOL_READY_STRING;
		case ELLIPSE_TOOL_READY_STRING:
			return GERMAN_ELLIPSE_TOOL_READY_STRING;
		case ERASER_TOOL_READY_STRING:
			return GERMAN_ERASER_TOOL_READY_STRING;
		case FILL_TOOL_READY_STRING:
			return GERMAN_FILL_TOOL_READY_STRING;
		case FREE_LINE_TOOL_READY_STRING:
			return GERMAN_FREE_LINE_TOOL_READY_STRING;
		case HAIRY_BRUSH_TOOL_READY_STRING:
			return GERMAN_HAIRY_BRUSH_TOOL_READY_STRING;
		case RECTANGLE_TOOL_READY_STRING:	
			return GERMAN_RECTANGLE_TOOL_READY_STRING;
		case SELECTOR_TOOL_READY_STRING:
			return GERMAN_SELECTOR_TOOL_READY_STRING;
		case STRAIGHT_LINE_TOOL_READY_STRING:
			return GERMAN_STRAIGHT_LINE_TOOL_READY_STRING;
		case TEXT_TOOL_READY_STRING:
			return GERMAN_TEXT_TOOL_READY_STRING;
		case TRANSPARENCY_TOOL_READY_STRING:	
			return GERMAN_TRANSPARENCY_TOOL_READY_STRING;


		case AIR_BRUSH_TOOL_IN_USE_STRING:
			return GERMAN_AIR_BRUSH_TOOL_IN_USE_STRING;
		case BLUR_TOOL_IN_USE_STRING:
			return GERMAN_BLUR_TOOL_IN_USE_STRING;
		case BRUSH_TOOL_IN_USE_STRING:
			return GERMAN_BRUSH_TOOL_IN_USE_STRING;
		case COLOR_SELECTOR_TOOL_IN_USE_STRING:
			return GERMAN_COLOR_SELECTOR_TOOL_IN_USE_STRING;
		case ELLIPSE_TOOL_IN_USE_STRING:
			return GERMAN_ELLIPSE_TOOL_IN_USE_STRING;
		case ERASER_TOOL_IN_USE_STRING:
			return GERMAN_ERASER_TOOL_IN_USE_STRING;
		case FILL_TOOL_IN_USE_STRING:
			return GERMAN_FILL_TOOL_IN_USE_STRING;
		case FREE_LINE_TOOL_IN_USE_STRING:
			return GERMAN_FREE_LINE_TOOL_IN_USE_STRING;
		case HAIRY_BRUSH_TOOL_IN_USE_STRING:
			return GERMAN_HAIRY_BRUSH_TOOL_IN_USE_STRING;
		case RECTANGLE_TOOL_IN_USE_STRING:	
			return GERMAN_RECTANGLE_TOOL_IN_USE_STRING;
		case SELECTOR_TOOL_IN_USE_STRING:
			return GERMAN_SELECTOR_TOOL_IN_USE_STRING;
		case STRAIGHT_LINE_TOOL_IN_USE_STRING:
			return GERMAN_STRAIGHT_LINE_TOOL_IN_USE_STRING;
		case TEXT_TOOL_IN_USE_STRING:
			return GERMAN_TEXT_TOOL_IN_USE_STRING;
		case TRANSPARENCY_TOOL_IN_USE_STRING:	
			return GERMAN_TRANSPARENCY_TOOL_IN_USE_STRING;

		case DO_CHANGE_TRANSPARENCY_HELP_STRING:
			return GERMAN_CHANGE_TRANSPARENCY_HELP_STRING;
		case DO_CROP_HELP_STRING:
			return GERMAN_DO_CROP_HELP_STRING;
		case DO_ROTATE_HELP_STRING:	
			return GERMAN_DO_ROTATE_HELP_STRING;
		case DO_SCALE_HELP_STRING:
			return GERMAN_DO_SCALE_HELP_STRING;
		case DO_TRANSLATE_HELP_STRING:
			return GERMAN_DO_TRANSLATE_HELP_STRING;

		// About-window strings
		case ABOUT_1_TEXT_STRING:
			return GERMAN_ABOUT_1_TEXT_STRING;
		case ABOUT_3_TEXT_STRING:
			return GERMAN_ABOUT_3_TEXT_STRING;
		case ABOUT_4_TEXT_STRING:
			return GERMAN_ABOUT_4_TEXT_STRING;
		case ABOUT_5_TEXT_STRING:
			return GERMAN_ABOUT_5_TEXT_STRING;
		case ABOUT_6_TEXT_STRING:
			return GERMAN_ABOUT_6_TEXT_STRING;
		case ABOUT_7_TEXT_STRING:
			return GERMAN_ABOUT_7_TEXT_STRING;
		case ABOUT_8_TEXT_STRING:
			return GERMAN_ABOUT_8_TEXT_STRING;

		// These are general alert string
		case MEMORY_ALERT_1_STRING:
			return GERMAN_MEMORY_ALERT_1_STRING;
		case MEMORY_ALERT_2_STRING:
			return GERMAN_MEMORY_ALERT_2_STRING;
		case MEMORY_ALERT_3_STRING:
			return GERMAN_MEMORY_ALERT_3_STRING;
	}

	// The default case of the switch. Taken away from the switch
	// to allow warnings on missing cases.
	char *string = new char[256];
	sprintf(string,"GER: %s",return_english_string(id));
	return string;
}



const char* StringServer::return_french_string(string_id id)
{
	switch (id) {
		case ABOUT_ARTPAINT_STRING:
			return FRENCH_ABOUT_ARTPAINT_STRING;
		case ABOUT_HELP_STRING:
			return FRENCH_ABOUT_HELP_STRING;
		case ACTIVE_LAYER_STRING:
			return FRENCH_ACTIVE_LAYER_STRING;
		case ADD_AREA_STRING:
			return FRENCH_ADD_AREA_STRING;
		case ADD_LAYER_HELP_STRING:
			return FRENCH_ADD_LAYER_HELP_STRING;
		case ADD_LAYER_STRING:
			return FRENCH_ADD_LAYER_STRING;
		case ADD_LAYER_BEHIND_STRING:
			return FRENCH_ADD_LAYER_BEHIND_STRING;
		case ADD_LAYER_IN_FRONT_STRING:
			return FRENCH_ADD_LAYER_IN_FRONT_STRING;
		case ADD_ONS_STRING:
			return FRENCH_ADD_ONS_STRING;
		case ADJUSTABLE_STRING:
			return FRENCH_ADJUSTABLE_STRING;
		case ADJUSTABLE_WIDTH_STRING:
			return FRENCH_ADJUSTABLE_WIDTH_STRING;
		case AIRBRUSH_STRING:
			return FRENCH_AIRBRUSH_STRING;
		case ALL_LAYERS_COPY_HELP_STRING:
			return FRENCH_ALL_LAYERS_COPY_HELP_STRING;
		case ALL_LAYERS_CUT_HELP_STRING:
			return FRENCH_ALL_LAYERS_CUT_HELP_STRING;
		case ALL_LAYERS_STRING:
			return FRENCH_ALL_LAYERS_STRING;	
		case ALPHA_STRING:
			return FRENCH_ALPHA_STRING;
		case APPLY_CHANGES_STRING:
			return FRENCH_APPLY_CHANGES_STRING;
		case BACKGROUND_STRING:
			return FRENCH_BACKGROUND_STRING;
		case BLUE_STRING:
			return FRENCH_BLUE_STRING;
		case BOTTOM_STRING:
			return FRENCH_BOTTOM_STRING;
		case BRUSH_STRING:
			return FRENCH_BRUSH_STRING;
		case BRUSH_WINDOW_STRING:
			return FRENCH_BRUSH_WINDOW_STRING;
		case BRUSHES_STRING:
			return FRENCH_BRUSHES_STRING;
		case CANCEL_STRING:
			return FRENCH_CANCEL_STRING;
		case CANNOT_CREATE_IMAGE_STRING:
			return FRENCH_CANNOT_CREATE_IMAGE_STRING;
		case CANVAS_STRING:
			return FRENCH_CANVAS_STRING;
		case CENTER_TO_CORNER_STRING:
			return FRENCH_CENTER_TO_CORNER_STRING;
		case CHANGES_TAKE_EFFECT_STRING:
			return FRENCH_CHANGES_TAKE_EFFECT_STRING;
		case CHANGE_TRANSPARENCY_HELP_STRING:
			return FRENCH_CHANGE_TRANSPARENCY_HELP_STRING;
		case CHANGE_TRANSPARENCY_STRING:
			return FRENCH_CHANGE_TRANSPARENCY_STRING;
		case CLEAR_CANVAS_HELP_STRING:
			return FRENCH_CLEAR_CANVAS_HELP_STRING;
		case CLEAR_CANVAS_STRING:
			return FRENCH_CLEAR_CANVAS_STRING;
		case CLEAR_LAYER_HELP_STRING:
			return FRENCH_CLEAR_LAYER_HELP_STRING;
		case CLEAR_LAYER_STRING:
			return FRENCH_CLEAR_LAYER_STRING;
		case CLEAR_SELECTION_HELP_STRING:
			return FRENCH_CLEAR_SELECTION_HELP_STRING;
		case CLEAR_SELECTION_STRING:
			return FRENCH_CLEAR_SELECTION_STRING;
		case CLICK_TO_SELECT_COLOR_STRING:
			return FRENCH_CLICK_TO_SELECT_COLOR_STRING;
		case CLOSE_HELP_STRING:
			return FRENCH_CLOSE_HELP_STRING;
		case COLOR_SET_STRING:
			return FRENCH_COLOR_SET_STRING;
		case CLOSE_STRING:
			return FRENCH_CLOSE_STRING;
		case COLOR_AMOUNT_STRING:
			return FRENCH_COLOR_AMOUNT_STRING;
		case COLOR_MODEL_STRING:
			return FRENCH_COLOR_MODEL_STRING;
		case COLOR_STRING:
			return FRENCH_COLOR_STRING;
		case COLOR_VARIANCE_STRING:
			return FRENCH_COLOR_VARIANCE_STRING;
		case COLOR_WINDOW_STRING:
			return FRENCH_COLOR_WINDOW_STRING;
		case COLORS_STRING:
			return FRENCH_COLORS_STRING;
		case CONFIRM_QUIT_STRING:
			return FRENCH_CONFIRM_QUIT_STRING;
		case CONTINUOUS_STRING:
			return FRENCH_CONTINUOUS_STRING;
		case COPY_STRING:
			return FRENCH_COPY_STRING;
		case CORNER_TO_CORNER_STRING:
			return FRENCH_CORNER_TO_CORNER_STRING;
		case CREATE_CANVAS_STRING:
			return FRENCH_CREATE_CANVAS_STRING;
		case CROP_HELP_STRING:
			return FRENCH_CROP_HELP_STRING;
		case CROP_STRING:
			return FRENCH_CROP_STRING;
		case CROSS_HAIR_CURSOR_STRING:
			return FRENCH_CROSS_HAIR_CURSOR_STRING;
		case CURSOR_STRING:
			return FRENCH_CURSOR_STRING;
		case CUT_STRING:
			return FRENCH_CUT_STRING;
		case DELETE_CURRENT_SET_STRING:
			return FRENCH_DELETE_CURRENT_SET_STRING;
		case DELETE_LAYER_STRING:
			return FRENCH_DELETE_LAYER_STRING;
		case DELETE_SELECTED_BRUSH_STRING:
			return FRENCH_DELETE_SELECTED_BRUSH_STRING;
		case DISCARD_CHANGES_STRING:
			return FRENCH_DISCARD_CHANGES_STRING;
		case DO_NOT_SAVE_STRING:
			return FRENCH_DO_NOT_SAVE_STRING;
		case DUPLICATE_LAYER_STRING:
			return FRENCH_DUPLICATE_LAYER_STRING;
		case EDIT_STRING:
			return FRENCH_EDIT_STRING;
		case EFFECTS_WINDOW_STRING:
			return FRENCH_EFFECTS_WINDOW_STRING;
		case ELLIPSE_STRING:
			return FRENCH_ELLIPSE_STRING;
		case EMPTY_PAINT_WINDOW_STRING:
			return FRENCH_EMPTY_PAINT_WINDOW_STRING;
		case ENABLE_ANTI_ALIASING_STRING:
			return FRENCH_ENABLE_ANTI_ALIASING_STRING;
		case ENABLE_GRADIENT_STRING:
			return FRENCH_ENABLE_GRADIENT_STRING;
		case ENABLE_PREVIEW_STRING:
			return FRENCH_ENABLE_PREVIEW_STRING;
		case ENABLE_ROTATION_STRING:
			return FRENCH_ENABLE_ROTATION_STRING;
		case FADE_STRING:
			return FRENCH_FADE_STRING;
		case FILE_STRING:
			return FRENCH_FILE_STRING;
		case FILL_ELLIPSE_STRING:
			return FRENCH_FILL_ELLIPSE_STRING;
		case FILL_RECTANGLE_STRING:
			return FRENCH_FILL_RECTANGLE_STRING;
		case FINISHING_STRING:
			return FRENCH_FINISHING_STRING;
		case FLIP_HORIZONTAL_ALL_LAYERS_HELP_STRING:
			return FRENCH_FLIP_HORIZONTAL_ALL_LAYERS_HELP_STRING;
		case FLIP_HORIZONTAL_LAYER_HELP_STRING:
			return FRENCH_FLIP_HORIZONTAL_LAYER_HELP_STRING;
		case FLIP_HORIZONTAL_STRING:
			return FRENCH_FLIP_HORIZONTAL_STRING;
		case FLIP_VERTICAL_ALL_LAYERS_HELP_STRING:
			return FRENCH_FLIP_VERTICAL_ALL_LAYERS_HELP_STRING;
		case FLIP_VERTICAL_LAYER_HELP_STRING:
			return FRENCH_FLIP_VERTICAL_LAYER_HELP_STRING;
		case FLIP_VERTICAL_STRING:
			return FRENCH_FLIP_VERTICAL_STRING;
		case FLOOD_FILL_STRING:
			return FRENCH_FLOOD_FILL_STRING;
		case FLOW_STRING:
			return FRENCH_FLOW_STRING;
		case FONT_STRING:
			return FRENCH_FONT_STRING;
		case FREE_LINE_STRING:
			return FRENCH_FREE_LINE_STRING;
		case GLOBAL_SETTINGS_STRING:
			return FRENCH_GLOBAL_SETTINGS_STRING;
		case GREEN_STRING:
			return FRENCH_GREEN_STRING;
		case GRID_OFF_HELP_STRING:
			return FRENCH_GRID_OFF_HELP_STRING;
		case GRID_2_BY_2_HELP_STRING:
			return FRENCH_GRID_2_BY_2_HELP_STRING;
		case GRID_4_BY_4_HELP_STRING:
			return FRENCH_GRID_4_BY_4_HELP_STRING;
		case GRID_8_BY_8_HELP_STRING:
			return FRENCH_GRID_8_BY_8_HELP_STRING;
		case GROW_SELECTION_HELP_STRING:
			return FRENCH_GROW_SELECTION_HELP_STRING;
		case GROW_SELECTION_STRING:
			return FRENCH_GROW_SELECTION_STRING;
		case HAIRS_STRING:
			return FRENCH_HAIRS_STRING;
		case HEIGHT_STRING:
			return FRENCH_HEIGHT_STRING;
		case HELP_STRING:
			return FRENCH_HELP_STRING;
		case INSERT_TEXT_HELP_STRING:
			return FRENCH_INSERT_TEXT_HELP_STRING;
		case INSERT_TEXT_STRING:
			return FRENCH_INSERT_TEXT_STRING;
		case INTELLIGENT_SCISSORS_STRING:
			return FRENCH_INTELLIGENT_SCISSORS_STRING;
		case INVERT_SELECTION_HELP_STRING:
			return FRENCH_INVERT_SELECTION_HELP_STRING;
		case INVERT_SELECTION_STRING:
			return FRENCH_INVERT_SELECTION_STRING;
		case KEEP_IN_FRONT_STRING:
			return FRENCH_KEEP_IN_FRONT_STRING;
		case LANGUAGE_STRING:
			return FRENCH_LANGUAGE_STRING;
		case LAYER_COPY_HELP_STRING:
			return FRENCH_LAYER_COPY_HELP_STRING;
		case LAYER_CUT_HELP_STRING:
			return FRENCH_LAYER_CUT_HELP_STRING;
		case LAYER_STRING:
			return FRENCH_LAYER_STRING;
		case LAYER_WINDOW_STRING:
			return FRENCH_LAYER_WINDOW_STRING;
		case LAYERS_STRING:
			return FRENCH_LAYERS_STRING;
		case LITTLE_STRING:
			return FRENCH_LITTLE_STRING;
		case LOCK_PROPORTIONS_STRING:
			return FRENCH_LOCK_PROPORTIONS_STRING;	
		case LEFT_STRING:
			return FRENCH_LEFT_STRING;
		case MAG_STRING:
			return FRENCH_MAG_STRING;
		case MAGIC_WAND_STRING:
			return FRENCH_MAGIC_WAND_STRING;
		case MERGE_WITH_BACK_LAYER_STRING:
			return FRENCH_MERGE_WITH_BACK_LAYER_STRING;
		case MERGE_WITH_FRONT_LAYER_STRING:
			return FRENCH_MERGE_WITH_FRONT_LAYER_STRING;
		case MISCELLANEOUS_STRING:
			return FRENCH_MISCELLANEOUS_STRING;
		case MODE_STRING:
			return FRENCH_MODE_STRING;
		case MUCH_STRING:
			return FRENCH_MUCH_STRING;
		case NEW_COLOR_SET_STRING:
			return FRENCH_NEW_COLOR_SET_STRING;
		case NEW_PROJECT_HELP_STRING:
			return FRENCH_NEW_PROJECT_HELP_STRING;
		case NEW_PROJECT_STRING:
			return FRENCH_NEW_PROJECT_STRING;
		case NO_OPTIONS_STRING:
			return FRENCH_NO_OPTIONS_STRING;
		case NONE_STRING:
			return FRENCH_NONE_STRING;
		case OFF_STRING:
			return FRENCH_OFF_STRING;
		case OK_STRING:
			return FRENCH_OK_STRING;
		case OPAQUE_STRING:
			return FRENCH_OPAQUE_STRING;
		case OPEN_COLOR_SET_STRING:
			return FRENCH_OPEN_COLOR_SET_STRING;
		case OPEN_IMAGE_HELP_STRING:
			return FRENCH_OPEN_IMAGE_HELP_STRING;
		case OPEN_IMAGE_STRING:
			return FRENCH_OPEN_IMAGE_STRING;	
		case OPEN_PROJECT_HELP_STRING:
			return FRENCH_OPEN_PROJECT_HELP_STRING;
		case OPEN_PROJECT_STRING:
			return FRENCH_OPEN_PROJECT_STRING;
		case OPEN_STRING:
			return FRENCH_OPEN_STRING;
		case PALETTE_WINDOW_NAME_STRING:
			return FRENCH_PALETTE_WINDOW_NAME_STRING;
		case PASTE_AS_NEW_LAYER_HELP_STRING:
			return FRENCH_PASTE_AS_NEW_LAYER_HELP_STRING;
		case PASTE_AS_NEW_LAYER_STRING:
			return FRENCH_PASTE_AS_NEW_LAYER_STRING;
		case PASTE_AS_NEW_PROJECT_HELP_STRING:
			return FRENCH_PASTE_AS_NEW_PROJECT_HELP_STRING;
		case PASTE_AS_NEW_PROJECT_STRING:
			return FRENCH_PASTE_AS_NEW_PROJECT_STRING;
		case QUIT_HELP_STRING:
			return FRENCH_QUIT_HELP_STRING;
		case QUIT_STRING:
			return FRENCH_QUIT_STRING;
		case RANDOM_STRING:
			return FRENCH_RANDOM_STRING;
		case RECENT_IMAGES_STRING:
			return FRENCH_RECENT_IMAGES_STRING;
		case RECENT_PROJECTS_STRING:
			return FRENCH_RECENT_PROJECTS_STRING;
		case RECTANGLE_STRING:
			return FRENCH_RECTANGLE_STRING;
		case RED_STRING:
			return FRENCH_RED_STRING;
		case REDO_HELP_STRING:
			return FRENCH_REDO_HELP_STRING;
		case REDO_NOT_AVAILABLE_STRING:
			return FRENCH_REDO_NOT_AVAILABLE_STRING;
		case REDO_STRING:
			return FRENCH_REDO_STRING;
		case RELEASE_DATE_STRING:
			return FRENCH_RELEASE_DATE_STRING;
		case RESIZE_TO_FIT_HELP_STRING:
			return FRENCH_RESIZE_TO_FIT_HELP_STRING;
		case RESIZE_TO_FIT_STRING:
			return FRENCH_RESIZE_TO_FIT_STRING;
		case RIGHT_STRING:
			return FRENCH_RIGHT_STRING;
		case ROTATE_ALL_LAYERS_HELP_STRING:
			return FRENCH_ROTATE_ALL_LAYERS_HELP_STRING;
		case ROTATE_LAYER_HELP_STRING:
			return FRENCH_ROTATE_LAYER_HELP_STRING;
		case ROTATE_STRING:
			return FRENCH_ROTATE_STRING;
		case ROTATE_CW_STRING:
			return FRENCH_ROTATE_CW_STRING;
		case ROTATE_CCW_STRING:
			return FRENCH_ROTATE_CCW_STRING;
		case ROTATION_STRING:
			return FRENCH_ROTATION_STRING;
		case ROTATING_STRING:
			return FRENCH_ROTATING_STRING;
		case SAVE_CHANGES_STRING:
			return FRENCH_SAVE_CHANGES_STRING;
		case SAVE_COLOR_SET_AS_STRING:
			return FRENCH_SAVE_COLOR_SET_AS_STRING;
		case SAVE_COLOR_SET_STRING:
			return FRENCH_SAVE_COLOR_SET_STRING;
		case SAVE_FORMAT_STRING:
			return FRENCH_SAVE_FORMAT_STRING;
		case SAVE_IMAGE_AS_HELP_STRING:
			return FRENCH_SAVE_IMAGE_AS_HELP_STRING;
		case SAVE_IMAGE_AS_STRING:
			return FRENCH_SAVE_IMAGE_AS_STRING;
		case SAVE_IMAGE_HELP_STRING:
			return FRENCH_SAVE_IMAGE_HELP_STRING;
		case SAVE_IMAGE_STRING:
			return FRENCH_SAVE_IMAGE_STRING;
		case SAVE_PROJECT_AS_HELP_STRING:
			return FRENCH_SAVE_PROJECT_AS_HELP_STRING;
		case SAVE_PROJECT_AS_STRING:
			return FRENCH_SAVE_PROJECT_AS_STRING;
		case SAVE_PROJECT_HELP_STRING:
			return FRENCH_SAVE_PROJECT_HELP_STRING;
		case SAVE_PROJECT_STRING:
			return FRENCH_SAVE_PROJECT_STRING;
		case SAVE_STRING:
			return FRENCH_SAVE_STRING;
		case SCALE_ALL_LAYERS_HELP_STRING:
			return FRENCH_SCALE_ALL_LAYERS_HELP_STRING;
		case SCALE_STRING:
			return FRENCH_SCALE_STRING;
		case SELECT_CANVAS_SIZE_STRING:
			return FRENCH_SELECT_CANVAS_SIZE_STRING;
		case SELECTED_COLORS_VIEW_MESSAGE1_STRING:
			return FRENCH_SELECTED_COLORS_VIEW_MESSAGE1_STRING;
		case SET_GRID_STRING:
			return FRENCH_SET_GRID_STRING;
		case SET_ZOOM_LEVEL_STRING:
			return FRENCH_SET_ZOOM_LEVEL_STRING;
		case SETTINGS_HELP_STRING:
			return FRENCH_SETTINGS_HELP_STRING;
		case SETTINGS_STRING:
			return FRENCH_SETTINGS_STRING;
		case SHAPE_STRING:
			return FRENCH_SHAPE_STRING;
		case SHEAR_STRING:
			return FRENCH_SHEAR_STRING;
		case SHORTCUTS_HELP_STRING:
			return FRENCH_SHORTCUTS_HELP_STRING;
		case SHORTCUTS_STRING:
			return FRENCH_SHORTCUTS_STRING;
		case SHOW_BRUSH_WINDOW_HELP_STRING:
			return FRENCH_SHOW_BRUSH_WINDOW_HELP_STRING;
		case SHOW_BRUSH_WINDOW_STRING:
			return FRENCH_SHOW_BRUSH_WINDOW_STRING;
		case SHOW_LAYER_WINDOW_HELP_STRING:
			return FRENCH_SHOW_LAYER_WINDOW_HELP_STRING;
		case SHOW_LAYER_WINDOW_STRING:
			return FRENCH_SHOW_LAYER_WINDOW_STRING;
		case SHOW_PALETTE_WINDOW_HELP_STRING:
			return FRENCH_SHOW_PALETTE_WINDOW_HELP_STRING;
		case SHOW_PALETTE_WINDOW_STRING:
			return FRENCH_SHOW_PALETTE_WINDOW_STRING;
		case SHOW_TOOL_SETUP_WINDOW_HELP_STRING:
			return FRENCH_SHOW_TOOL_SETUP_WINDOW_HELP_STRING;
		case SHOW_TOOL_SETUP_WINDOW_STRING:
			return FRENCH_SHOW_TOOL_SETUP_WINDOW_STRING;
		case SHOW_TOOL_WINDOW_HELP_STRING:
			return FRENCH_SHOW_TOOL_WINDOW_HELP_STRING;
		case SHOW_TOOL_WINDOW_STRING:
			return FRENCH_SHOW_TOOL_WINDOW_STRING;
		case SHRINK_SELECTION_HELP_STRING:
			return FRENCH_SHRINK_SELECTION_HELP_STRING;
		case SHRINK_SELECTION_STRING:
			return FRENCH_SHRINK_SELECTION_STRING;
		case SIZE_STRING:
			return FRENCH_SIZE_STRING;
		case SPEED_STRING:
			return FRENCH_SPEED_STRING;
		case SPRAY_STRING:
			return FRENCH_SPRAY_STRING;
		case STANDARD_SIZES_STRING:
			return FRENCH_STANDARD_SIZES_STRING;
		case STORE_BRUSH_STRING:
			return FRENCH_STORE_BRUSH_STRING;
		case SUBTRACT_AREA_STRING:
			return FRENCH_SUBTRACT_AREA_STRING;
		case TEXT_COLOR_STRING:
			return FRENCH_TEXT_COLOR_STRING;
		case TEXT_STRING:
			return FRENCH_TEXT_STRING;
		case TOLERANCE_STRING:
			return FRENCH_TOLERANCE_STRING;
		case TOOL_CURSOR_STRING:
			return FRENCH_TOOL_CURSOR_STRING;
		case TOOL_SELECTION_WINDOW_STRING:
			return FRENCH_TOOL_SELECTION_WINDOW_STRING;
		case TOOLS_STRING:
			return FRENCH_TOOLS_STRING;
		case TOOL_SETUP_STRING:
			return FRENCH_TOOL_SETUP_STRING;
		case TOOL_SETUP_WINDOW_STRING:
			return FRENCH_TOOL_SETUP_WINDOW_STRING;
		case TOP_STRING:
			return FRENCH_TOP_STRING;
		case TRANSLATE_ALL_LAYERS_HELP_STRING:
			return FRENCH_TRANSLATE_ALL_LAYERS_HELP_STRING;
		case TRANSLATE_LAYER_HELP_STRING:
			return FRENCH_TRANSLATE_LAYER_HELP_STRING;
		case TRANSLATE_STRING:
			return FRENCH_TRANSLATE_STRING;
		case TRANSPARENT_STRING:
			return FRENCH_TRANSPARENT_STRING;
		case TRANSPARENCY_STRING:
			return FRENCH_TRANSPARENCY_STRING;
		case UNDO_HELP_STRING:
			return FRENCH_UNDO_HELP_STRING;
		case UNDO_NOT_AVAILABLE_STRING:
			return FRENCH_UNDO_NOT_AVAILABLE_STRING;
		case UNDO_SETTINGS_STRING:
			return FRENCH_UNDO_SETTINGS_STRING;
		case UNDO_STRING:
			return FRENCH_UNDO_STRING;
		case UNLIMITED_STRING:
			return FRENCH_UNLIMITED_STRING;
		case UNSUPPORTED_FILE_TYPE_STRING:
			return FRENCH_UNSUPPORTED_FILE_TYPE_STRING;
		case UNTITLED_STRING:
			return FRENCH_UNTITLED_STRING;
		case USE_THE_TOOL_STRING:
			return FRENCH_USE_THE_TOOL_STRING;
		case USER_MANUAL_HELP_STRING:
			return FRENCH_USER_MANUAL_HELP_STRING;
		case USER_MANUAL_STRING:
			return FRENCH_USER_MANUAL_STRING;
		case USING_THE_TOOL_STRING:
			return FRENCH_USING_THE_TOOL_STRING;
		case VISIBLE_STRING:
			return FRENCH_VISIBLE_STRING;
		case WAND_TOLERANCE_STRING:
			return FRENCH_WAND_TOLERANCE_STRING;
		case WIDTH_STRING:
			return FRENCH_WIDTH_STRING;
		case WINDOW_FLOATING_STRING:
			return FRENCH_WINDOW_FLOATING_STRING;
		case WINDOW_STRING:
			return FRENCH_WINDOW_STRING;
		case ZOOM_IN_HELP_STRING:
			return FRENCH_ZOOM_IN_HELP_STRING;
		case ZOOM_IN_STRING:
			return FRENCH_ZOOM_IN_STRING;
		case ZOOM_LEVEL_25_HELP_STRING:
			return FRENCH_ZOOM_LEVEL_25_HELP_STRING;
		case ZOOM_LEVEL_50_HELP_STRING:
			return FRENCH_ZOOM_LEVEL_50_HELP_STRING;
		case ZOOM_LEVEL_100_HELP_STRING:
			return FRENCH_ZOOM_LEVEL_100_HELP_STRING;
		case ZOOM_LEVEL_200_HELP_STRING:
			return FRENCH_ZOOM_LEVEL_200_HELP_STRING;
		case ZOOM_LEVEL_400_HELP_STRING:
			return FRENCH_ZOOM_LEVEL_400_HELP_STRING;
		case ZOOM_LEVEL_800_HELP_STRING:
			return FRENCH_ZOOM_LEVEL_800_HELP_STRING;
		case ZOOM_OUT_HELP_STRING:
			return FRENCH_ZOOM_OUT_HELP_STRING;
		case ZOOM_OUT_STRING:
			return FRENCH_ZOOM_OUT_STRING;	

		
		// Here begin the tool-name end tool-help strings.
		case AIR_BRUSH_TOOL_NAME_STRING:
			return FRENCH_AIR_BRUSH_TOOL_NAME_STRING;
		case BLUR_TOOL_NAME_STRING:
			return FRENCH_BLUR_TOOL_NAME_STRING;
		case BRUSH_TOOL_NAME_STRING:
			return FRENCH_BRUSH_TOOL_NAME_STRING;
		case COLOR_SELECTOR_TOOL_NAME_STRING:
			return FRENCH_COLOR_SELECTOR_TOOL_NAME_STRING;
		case ELLIPSE_TOOL_NAME_STRING:
			return FRENCH_ELLIPSE_TOOL_NAME_STRING;
		case ERASER_TOOL_NAME_STRING:
			return FRENCH_ERASER_TOOL_NAME_STRING;
		case FILL_TOOL_NAME_STRING:
			return FRENCH_FILL_TOOL_NAME_STRING;
		case FREE_LINE_TOOL_NAME_STRING:
			return FRENCH_FREE_LINE_TOOL_NAME_STRING;
		case HAIRY_BRUSH_TOOL_NAME_STRING:
			return FRENCH_HAIRY_BRUSH_TOOL_NAME_STRING;
		case RECTANGLE_TOOL_NAME_STRING:	
			return FRENCH_RECTANGLE_TOOL_NAME_STRING;
		case SELECTOR_TOOL_NAME_STRING:
			return FRENCH_SELECTOR_TOOL_NAME_STRING;
		case STRAIGHT_LINE_TOOL_NAME_STRING:
			return FRENCH_STRAIGHT_LINE_TOOL_NAME_STRING;
		case TEXT_TOOL_NAME_STRING:
			return FRENCH_TEXT_TOOL_NAME_STRING;
		case TRANSPARENCY_TOOL_NAME_STRING:	
			return FRENCH_TRANSPARENCY_TOOL_NAME_STRING;


		case AIR_BRUSH_TOOL_READY_STRING:
			return FRENCH_AIR_BRUSH_TOOL_READY_STRING;
		case BLUR_TOOL_READY_STRING:
			return FRENCH_BLUR_TOOL_READY_STRING;
		case BRUSH_TOOL_READY_STRING:
			return FRENCH_BRUSH_TOOL_READY_STRING;
		case COLOR_SELECTOR_TOOL_READY_STRING:
			return FRENCH_COLOR_SELECTOR_TOOL_READY_STRING;
		case ELLIPSE_TOOL_READY_STRING:
			return FRENCH_ELLIPSE_TOOL_READY_STRING;
		case ERASER_TOOL_READY_STRING:
			return FRENCH_ERASER_TOOL_READY_STRING;
		case FILL_TOOL_READY_STRING:
			return FRENCH_FILL_TOOL_READY_STRING;
		case FREE_LINE_TOOL_READY_STRING:
			return FRENCH_FREE_LINE_TOOL_READY_STRING;
		case HAIRY_BRUSH_TOOL_READY_STRING:
			return FRENCH_HAIRY_BRUSH_TOOL_READY_STRING;
		case RECTANGLE_TOOL_READY_STRING:	
			return FRENCH_RECTANGLE_TOOL_READY_STRING;
		case SELECTOR_TOOL_READY_STRING:
			return FRENCH_SELECTOR_TOOL_READY_STRING;
		case STRAIGHT_LINE_TOOL_READY_STRING:
			return FRENCH_STRAIGHT_LINE_TOOL_READY_STRING;
		case TEXT_TOOL_READY_STRING:
			return FRENCH_TEXT_TOOL_READY_STRING;
		case TRANSPARENCY_TOOL_READY_STRING:	
			return FRENCH_TRANSPARENCY_TOOL_READY_STRING;


		case AIR_BRUSH_TOOL_IN_USE_STRING:
			return FRENCH_AIR_BRUSH_TOOL_IN_USE_STRING;
		case BLUR_TOOL_IN_USE_STRING:
			return FRENCH_BLUR_TOOL_IN_USE_STRING;
		case BRUSH_TOOL_IN_USE_STRING:
			return FRENCH_BRUSH_TOOL_IN_USE_STRING;
		case COLOR_SELECTOR_TOOL_IN_USE_STRING:
			return FRENCH_COLOR_SELECTOR_TOOL_IN_USE_STRING;
		case ELLIPSE_TOOL_IN_USE_STRING:
			return FRENCH_ELLIPSE_TOOL_IN_USE_STRING;
		case ERASER_TOOL_IN_USE_STRING:
			return FRENCH_ERASER_TOOL_IN_USE_STRING;
		case FILL_TOOL_IN_USE_STRING:
			return FRENCH_FILL_TOOL_IN_USE_STRING;
		case FREE_LINE_TOOL_IN_USE_STRING:
			return FRENCH_FREE_LINE_TOOL_IN_USE_STRING;
		case HAIRY_BRUSH_TOOL_IN_USE_STRING:
			return FRENCH_HAIRY_BRUSH_TOOL_IN_USE_STRING;
		case RECTANGLE_TOOL_IN_USE_STRING:	
			return FRENCH_RECTANGLE_TOOL_IN_USE_STRING;
		case SELECTOR_TOOL_IN_USE_STRING:
			return FRENCH_SELECTOR_TOOL_IN_USE_STRING;
		case STRAIGHT_LINE_TOOL_IN_USE_STRING:
			return FRENCH_STRAIGHT_LINE_TOOL_IN_USE_STRING;
		case TEXT_TOOL_IN_USE_STRING:
			return FRENCH_TEXT_TOOL_IN_USE_STRING;
		case TRANSPARENCY_TOOL_IN_USE_STRING:	
			return FRENCH_TRANSPARENCY_TOOL_IN_USE_STRING;

		case DO_CHANGE_TRANSPARENCY_HELP_STRING:
			return FRENCH_CHANGE_TRANSPARENCY_HELP_STRING;
		case DO_CROP_HELP_STRING:
			return FRENCH_DO_CROP_HELP_STRING;
		case DO_ROTATE_HELP_STRING:	
			return FRENCH_DO_ROTATE_HELP_STRING;
		case DO_SCALE_HELP_STRING:
			return FRENCH_DO_SCALE_HELP_STRING;
		case DO_TRANSLATE_HELP_STRING:
			return FRENCH_DO_TRANSLATE_HELP_STRING;

		// About-window strings
		case ABOUT_1_TEXT_STRING:
			return FRENCH_ABOUT_1_TEXT_STRING;
		case ABOUT_3_TEXT_STRING:
			return FRENCH_ABOUT_3_TEXT_STRING;
		case ABOUT_4_TEXT_STRING:
			return FRENCH_ABOUT_4_TEXT_STRING;
		case ABOUT_5_TEXT_STRING:
			return FRENCH_ABOUT_5_TEXT_STRING;
		case ABOUT_6_TEXT_STRING:
			return FRENCH_ABOUT_6_TEXT_STRING;
		case ABOUT_7_TEXT_STRING:
			return FRENCH_ABOUT_7_TEXT_STRING;
		case ABOUT_8_TEXT_STRING:
			return FRENCH_ABOUT_8_TEXT_STRING;
		case ABOUT_9_TEXT_STRING:
			return FRENCH_ABOUT_9_TEXT_STRING;
		case ABOUT_10_TEXT_STRING:
			return FRENCH_ABOUT_10_TEXT_STRING;

		// These are general alert string
		case MEMORY_ALERT_1_STRING:
			return FRENCH_MEMORY_ALERT_1_STRING;
		case MEMORY_ALERT_2_STRING:
			return FRENCH_MEMORY_ALERT_2_STRING;
		case MEMORY_ALERT_3_STRING:
			return FRENCH_MEMORY_ALERT_3_STRING;
	}

	// The default case of the switch. Taken away from the switch
	// to allow warnings on missing cases.
	char *string = new char[256];
	sprintf(string,"FRA: %s",return_english_string(id));
	return string;
}